/* set-wallpaper.c generated by valac 0.56.13, the Vala compiler
 * generated from set-wallpaper.vala, do not modify */

/*
* Copyright 2017-2022 elementary, Inc. (https://elementary.io)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 3 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA
*/

#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <glib/gstdio.h>
#include <gtk/gtk.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <granite.h>

#define SET_WALLPAPER_CONTRACTOR_DEFAULT_TRANSITION_DURATION 1
#define SET_WALLPAPER_CONTRACTOR_SLIDESHOW_FILENAME "slideshow.xml"
#define SET_WALLPAPER_CONTRACTOR_SLIDESHOW_TEMPLATE "\n    <background>\n        %s\n    </background>"
#define SET_WALLPAPER_CONTRACTOR_SLIDESHOW_WALLPAPER_TEMPLATE "\n" \
"        <static>\n" \
"            <duration>%i</duration>\n" \
"            <file>%s</file>\n" \
"        </static>\n" \
"        <transition>\n" \
"            <duration>%i</duration>\n" \
"            <from>%s</from>\n" \
"            <to>%s</to>\n" \
"        </transition>\n" \
"    "
#define CONSTANTS_GETTEXT_DOMAIN "pantheon-desktop-plug"
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _Block1Data Block1Data;

struct _Block1Data {
	int _ref_count_;
	GtkScale* duration;
	GraniteMessageDialog* dialog;
};

VALA_EXTERN gint set_wallpaper_contractor_delay_value;
gint set_wallpaper_contractor_delay_value = 60;

VALA_EXTERN void set_wallpaper_contractor_update_slideshow (const gchar* path,
                                                GList* files,
                                                gint duration);
VALA_EXTERN void set_wallpaper_contractor_set_settings_key (const gchar* uri);
VALA_EXTERN void set_wallpaper_contractor_delay_value_changed (GtkScale* duration_scale,
                                                   GtkLabel* duration_label);
VALA_EXTERN gchar* set_wallpaper_contractor_get_local_bg_directory (void);
VALA_EXTERN GFile* set_wallpaper_contractor_ensure_local_bg_exists (void);
VALA_EXTERN GFile* set_wallpaper_contractor_copy_for_library (GFile* source);
static gint set_wallpaper_contractor_main (gchar** args,
                                    gint args_length1);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static void __lambda4_ (Block1Data* _data1_);
static void ___lambda4__gtk_range_value_changed (GtkRange* _sender,
                                          gpointer self);

void
set_wallpaper_contractor_update_slideshow (const gchar* path,
                                           GList* files,
                                           gint duration)
{
	gchar* wallpapers = NULL;
	gchar* _tmp0_;
	guint len = 0U;
	gchar* slideshow = NULL;
	const gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	GError* _inner_error0_ = NULL;
#line 43 "../set-wallpaper-contract/set-wallpaper.vala"
	g_return_if_fail (path != NULL);
#line 44 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = g_strdup ("");
#line 44 "../set-wallpaper-contract/set-wallpaper.vala"
	wallpapers = _tmp0_;
#line 45 "../set-wallpaper-contract/set-wallpaper.vala"
	len = g_list_length (files);
#line 106 "set-wallpaper.c"
	{
		gint i = 0;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
		i = 0;
#line 111 "set-wallpaper.c"
		{
			gboolean _tmp1_ = FALSE;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
			_tmp1_ = TRUE;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
			while (TRUE) {
#line 118 "set-wallpaper.c"
				gchar* slide = NULL;
				gconstpointer _tmp3_;
				gchar* _tmp4_;
				gint _tmp5_ = 0;
				gchar* next_slide = NULL;
				gconstpointer _tmp6_;
				gchar* _tmp7_;
				const gchar* _tmp8_;
				const gchar* _tmp9_;
				const gchar* _tmp10_;
				const gchar* _tmp11_;
				gchar* _tmp12_;
				gchar* _tmp13_;
				gchar* _tmp14_;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
				if (!_tmp1_) {
#line 135 "set-wallpaper.c"
					gint _tmp2_;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp2_ = i;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
					i = _tmp2_ + 1;
#line 141 "set-wallpaper.c"
				}
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp1_ = FALSE;
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
				if (!(((guint) i) < len)) {
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
					break;
#line 149 "set-wallpaper.c"
				}
#line 47 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp3_ = g_list_nth_data (files, (guint) i);
#line 47 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp4_ = g_file_get_path ((GFile*) _tmp3_);
#line 47 "../set-wallpaper-contract/set-wallpaper.vala"
				slide = _tmp4_;
#line 48 "../set-wallpaper-contract/set-wallpaper.vala"
				if (((guint) (i - 1)) == len) {
#line 48 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp5_ = 0;
#line 161 "set-wallpaper.c"
				} else {
#line 48 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp5_ = i;
#line 165 "set-wallpaper.c"
				}
#line 48 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp6_ = g_list_nth_data (files, (guint) _tmp5_);
#line 48 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp7_ = g_file_get_path ((GFile*) _tmp6_);
#line 48 "../set-wallpaper-contract/set-wallpaper.vala"
				next_slide = _tmp7_;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp8_ = wallpapers;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp9_ = slide;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp10_ = slide;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp11_ = next_slide;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp12_ = g_strdup_printf (SET_WALLPAPER_CONTRACTOR_SLIDESHOW_WALLPAPER_TEMPLATE, duration, _tmp9_, SET_WALLPAPER_CONTRACTOR_DEFAULT_TRANSITION_DURATION, _tmp10_, _tmp11_);
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp13_ = _tmp12_;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp14_ = g_strconcat (_tmp8_, _tmp13_, NULL);
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_free0 (wallpapers);
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				wallpapers = _tmp14_;
#line 50 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_free0 (_tmp13_);
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_free0 (next_slide);
#line 46 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_free0 (slide);
#line 197 "set-wallpaper.c"
			}
		}
	}
#line 54 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp15_ = wallpapers;
#line 54 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp16_ = g_strdup_printf (SET_WALLPAPER_CONTRACTOR_SLIDESHOW_TEMPLATE, _tmp15_);
#line 54 "../set-wallpaper-contract/set-wallpaper.vala"
	slideshow = _tmp16_;
#line 207 "set-wallpaper.c"
	{
#line 57 "../set-wallpaper-contract/set-wallpaper.vala"
		g_file_set_contents (path, slideshow, (gssize) -1, &_inner_error0_);
#line 57 "../set-wallpaper-contract/set-wallpaper.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 213 "set-wallpaper.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp17_;
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		e = _inner_error0_;
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		_inner_error0_ = NULL;
#line 59 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp17_ = e->message;
#line 59 "../set-wallpaper-contract/set-wallpaper.vala"
		g_error ("set-wallpaper.vala:59: %s", _tmp17_);
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_error_free0 (e);
#line 232 "set-wallpaper.c"
	}
	__finally0:
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (slideshow);
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (wallpapers);
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		g_clear_error (&_inner_error0_);
#line 56 "../set-wallpaper-contract/set-wallpaper.vala"
		return;
#line 247 "set-wallpaper.c"
	}
#line 62 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp18_ = g_strconcat ("file://", path, NULL);
#line 62 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp19_ = _tmp18_;
#line 62 "../set-wallpaper-contract/set-wallpaper.vala"
	set_wallpaper_contractor_set_settings_key (_tmp19_);
#line 62 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp19_);
#line 43 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (slideshow);
#line 43 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (wallpapers);
#line 261 "set-wallpaper.c"
}

void
set_wallpaper_contractor_set_settings_key (const gchar* uri)
{
	GSettings* settings = NULL;
	GSettings* _tmp0_;
	GSettings* _tmp1_;
	GSettings* _tmp2_;
	GSettings* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gboolean _tmp6_;
	GSettings* _tmp8_;
#line 65 "../set-wallpaper-contract/set-wallpaper.vala"
	g_return_if_fail (uri != NULL);
#line 66 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = g_settings_new ("org.gnome.desktop.background");
#line 66 "../set-wallpaper-contract/set-wallpaper.vala"
	settings = _tmp0_;
#line 67 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp1_ = settings;
#line 67 "../set-wallpaper-contract/set-wallpaper.vala"
	g_settings_set_string (_tmp1_, "picture-uri", uri);
#line 69 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp2_ = settings;
#line 69 "../set-wallpaper-contract/set-wallpaper.vala"
	g_settings_reset (_tmp2_, "color-shading-type");
#line 70 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp3_ = settings;
#line 70 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp4_ = g_settings_get_string (_tmp3_, "picture-options");
#line 70 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp5_ = _tmp4_;
#line 70 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp6_ = g_strcmp0 (_tmp5_, "none") == 0;
#line 70 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp5_);
#line 70 "../set-wallpaper-contract/set-wallpaper.vala"
	if (_tmp6_) {
#line 302 "set-wallpaper.c"
		GSettings* _tmp7_;
#line 71 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp7_ = settings;
#line 71 "../set-wallpaper-contract/set-wallpaper.vala"
		g_settings_reset (_tmp7_, "picture-options");
#line 308 "set-wallpaper.c"
	}
#line 73 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp8_ = settings;
#line 73 "../set-wallpaper-contract/set-wallpaper.vala"
	g_settings_apply (_tmp8_);
#line 74 "../set-wallpaper-contract/set-wallpaper.vala"
	g_settings_sync ();
#line 65 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_object_unref0 (settings);
#line 318 "set-wallpaper.c"
}

void
set_wallpaper_contractor_delay_value_changed (GtkScale* duration_scale,
                                              GtkLabel* duration_label)
{
	gdouble value = 0.0;
	GtkAdjustment* _tmp0_;
	GtkAdjustment* _tmp1_;
	gdouble _tmp2_;
	gdouble _tmp3_;
	gchar* text = NULL;
	gchar* _tmp8_;
	gchar* _tmp9_;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
#line 77 "../set-wallpaper-contract/set-wallpaper.vala"
	g_return_if_fail (duration_scale != NULL);
#line 77 "../set-wallpaper-contract/set-wallpaper.vala"
	g_return_if_fail (duration_label != NULL);
#line 78 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = gtk_range_get_adjustment ((GtkRange*) duration_scale);
#line 78 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp1_ = _tmp0_;
#line 78 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp2_ = gtk_adjustment_get_value (_tmp1_);
#line 78 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp3_ = _tmp2_;
#line 78 "../set-wallpaper-contract/set-wallpaper.vala"
	value = _tmp3_;
#line 83 "../set-wallpaper-contract/set-wallpaper.vala"
	set_wallpaper_contractor_delay_value = (gint) (((((pow (value, (gdouble) 5) / pow ((gdouble) 90, (gdouble) 5)) * 60) * 60) * 24) + 5);
#line 87 "../set-wallpaper-contract/set-wallpaper.vala"
	if (set_wallpaper_contractor_delay_value < 60) {
#line 356 "set-wallpaper.c"
		gchar* _tmp4_;
#line 88 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp4_ = g_strdup_printf (g_dngettext (CONSTANTS_GETTEXT_DOMAIN, "%d second", "%d seconds", (gulong) set_wallpaper_contractor_delay_value), set_wallpaper_contractor_delay_value);
#line 88 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (text);
#line 88 "../set-wallpaper-contract/set-wallpaper.vala"
		text = _tmp4_;
#line 364 "set-wallpaper.c"
	} else {
#line 89 "../set-wallpaper-contract/set-wallpaper.vala"
		if (set_wallpaper_contractor_delay_value < (60 * 60)) {
#line 368 "set-wallpaper.c"
			gint minutes = 0;
			gchar* _tmp5_;
#line 90 "../set-wallpaper-contract/set-wallpaper.vala"
			minutes = set_wallpaper_contractor_delay_value / 60;
#line 91 "../set-wallpaper-contract/set-wallpaper.vala"
			_tmp5_ = g_strdup_printf (g_dngettext (CONSTANTS_GETTEXT_DOMAIN, "%d minute", "%d minutes", (gulong) minutes), minutes);
#line 91 "../set-wallpaper-contract/set-wallpaper.vala"
			_g_free0 (text);
#line 91 "../set-wallpaper-contract/set-wallpaper.vala"
			text = _tmp5_;
#line 92 "../set-wallpaper-contract/set-wallpaper.vala"
			set_wallpaper_contractor_delay_value = minutes * 60;
#line 381 "set-wallpaper.c"
		} else {
#line 93 "../set-wallpaper-contract/set-wallpaper.vala"
			if (set_wallpaper_contractor_delay_value < ((60 * 60) * 24)) {
#line 385 "set-wallpaper.c"
				gint hours = 0;
				gchar* _tmp6_;
#line 94 "../set-wallpaper-contract/set-wallpaper.vala"
				hours = set_wallpaper_contractor_delay_value / (60 * 60);
#line 95 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp6_ = g_strdup_printf (g_dngettext (CONSTANTS_GETTEXT_DOMAIN, "%d hour", "%d hours", (gulong) hours), hours);
#line 95 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_free0 (text);
#line 95 "../set-wallpaper-contract/set-wallpaper.vala"
				text = _tmp6_;
#line 96 "../set-wallpaper-contract/set-wallpaper.vala"
				set_wallpaper_contractor_delay_value = hours * (60 * 60);
#line 398 "set-wallpaper.c"
			} else {
				gchar* _tmp7_;
#line 98 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp7_ = g_strdup (_ ("1 day"));
#line 98 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_free0 (text);
#line 98 "../set-wallpaper-contract/set-wallpaper.vala"
				text = _tmp7_;
#line 99 "../set-wallpaper-contract/set-wallpaper.vala"
				set_wallpaper_contractor_delay_value = (60 * 60) * 24;
#line 409 "set-wallpaper.c"
			}
		}
	}
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp8_ = g_strconcat (_ ("Show each photo for"), " <b>", NULL);
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp9_ = _tmp8_;
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp10_ = text;
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp11_ = g_strconcat (_tmp9_, _tmp10_, NULL);
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp12_ = _tmp11_;
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp13_ = g_strconcat (_tmp12_, "</b>", NULL);
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp14_ = _tmp13_;
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_label_set_markup (duration_label, _tmp14_);
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp14_);
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp12_);
#line 102 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp9_);
#line 77 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (text);
#line 437 "set-wallpaper.c"
}

gchar*
set_wallpaper_contractor_get_local_bg_directory (void)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* result;
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = g_get_user_data_dir ();
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp1_ = g_build_filename (_tmp0_, "backgrounds", NULL);
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp2_ = _tmp1_;
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp3_ = g_strconcat (_tmp2_, "/", NULL);
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp4_ = _tmp3_;
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp2_);
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	result = _tmp4_;
#line 106 "../set-wallpaper-contract/set-wallpaper.vala"
	return result;
#line 465 "set-wallpaper.c"
}

GFile*
set_wallpaper_contractor_ensure_local_bg_exists (void)
{
	GFile* folder = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
	GFile* _tmp4_;
	GError* _inner_error0_ = NULL;
	GFile* result;
#line 110 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = set_wallpaper_contractor_get_local_bg_directory ();
#line 110 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp1_ = _tmp0_;
#line 110 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp2_ = g_file_new_for_path (_tmp1_);
#line 110 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp3_ = _tmp2_;
#line 110 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_free0 (_tmp1_);
#line 110 "../set-wallpaper-contract/set-wallpaper.vala"
	folder = _tmp3_;
#line 111 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp4_ = folder;
#line 111 "../set-wallpaper-contract/set-wallpaper.vala"
	if (!g_file_query_exists (_tmp4_, NULL)) {
#line 495 "set-wallpaper.c"
		{
			GFile* _tmp5_;
#line 113 "../set-wallpaper-contract/set-wallpaper.vala"
			_tmp5_ = folder;
#line 113 "../set-wallpaper-contract/set-wallpaper.vala"
			g_file_make_directory_with_parents (_tmp5_, NULL, &_inner_error0_);
#line 113 "../set-wallpaper-contract/set-wallpaper.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 504 "set-wallpaper.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp6_;
			const gchar* _tmp7_;
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			e = _inner_error0_;
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			_inner_error0_ = NULL;
#line 115 "../set-wallpaper-contract/set-wallpaper.vala"
			_tmp6_ = e;
#line 115 "../set-wallpaper-contract/set-wallpaper.vala"
			_tmp7_ = _tmp6_->message;
#line 115 "../set-wallpaper-contract/set-wallpaper.vala"
			g_warning ("set-wallpaper.vala:115: %s\n", _tmp7_);
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			_g_error_free0 (e);
#line 526 "set-wallpaper.c"
		}
		__finally0:
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			_g_object_unref0 (folder);
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			g_clear_error (&_inner_error0_);
#line 112 "../set-wallpaper-contract/set-wallpaper.vala"
			return NULL;
#line 539 "set-wallpaper.c"
		}
	}
#line 119 "../set-wallpaper-contract/set-wallpaper.vala"
	result = folder;
#line 119 "../set-wallpaper-contract/set-wallpaper.vala"
	return result;
#line 546 "set-wallpaper.c"
}

GFile*
set_wallpaper_contractor_copy_for_library (GFile* source)
{
	GFile* dest = NULL;
	GError* _inner_error0_ = NULL;
	GFile* result;
#line 122 "../set-wallpaper-contract/set-wallpaper.vala"
	g_return_val_if_fail (source != NULL, NULL);
#line 123 "../set-wallpaper-contract/set-wallpaper.vala"
	dest = NULL;
#line 559 "set-wallpaper.c"
	{
		gchar* timestamp = NULL;
		GDateTime* _tmp0_;
		GDateTime* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* filename = NULL;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* path = NULL;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		GFile* _tmp12_;
		GFile* _tmp13_;
#line 126 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp0_ = g_date_time_new_now_local ();
#line 126 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp1_ = _tmp0_;
#line 126 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp2_ = g_date_time_format (_tmp1_, "%Y-%m-%d-%H-%M-%S");
#line 126 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp3_ = _tmp2_;
#line 126 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_date_time_unref0 (_tmp1_);
#line 126 "../set-wallpaper-contract/set-wallpaper.vala"
		timestamp = _tmp3_;
#line 127 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp4_ = g_file_get_basename (source);
#line 127 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp5_ = _tmp4_;
#line 127 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp6_ = g_strdup_printf ("%s-%s", timestamp, _tmp5_);
#line 127 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp7_ = _tmp6_;
#line 127 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (_tmp5_);
#line 127 "../set-wallpaper-contract/set-wallpaper.vala"
		filename = _tmp7_;
#line 128 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp8_ = set_wallpaper_contractor_get_local_bg_directory ();
#line 128 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp9_ = _tmp8_;
#line 128 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp10_ = g_build_filename (_tmp9_, filename, NULL);
#line 128 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp11_ = _tmp10_;
#line 128 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (_tmp9_);
#line 128 "../set-wallpaper-contract/set-wallpaper.vala"
		path = _tmp11_;
#line 129 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp12_ = g_file_new_for_path (path);
#line 129 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (dest);
#line 129 "../set-wallpaper-contract/set-wallpaper.vala"
		dest = _tmp12_;
#line 130 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp13_ = dest;
#line 130 "../set-wallpaper-contract/set-wallpaper.vala"
		g_file_copy (source, _tmp13_, G_FILE_COPY_OVERWRITE | G_FILE_COPY_ALL_METADATA, NULL, NULL, NULL, &_inner_error0_);
#line 130 "../set-wallpaper-contract/set-wallpaper.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 130 "../set-wallpaper-contract/set-wallpaper.vala"
			_g_free0 (path);
#line 130 "../set-wallpaper-contract/set-wallpaper.vala"
			_g_free0 (filename);
#line 130 "../set-wallpaper-contract/set-wallpaper.vala"
			_g_free0 (timestamp);
#line 632 "set-wallpaper.c"
			goto __catch0_g_error;
		}
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (path);
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (filename);
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (timestamp);
#line 641 "set-wallpaper.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_;
		const gchar* _tmp15_;
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		e = _inner_error0_;
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		_inner_error0_ = NULL;
#line 132 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp14_ = e;
#line 132 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp15_ = _tmp14_->message;
#line 132 "../set-wallpaper-contract/set-wallpaper.vala"
		g_warning ("set-wallpaper.vala:132: %s\n", _tmp15_);
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_error_free0 (e);
#line 661 "set-wallpaper.c"
	}
	__finally0:
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (dest);
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		g_clear_error (&_inner_error0_);
#line 125 "../set-wallpaper-contract/set-wallpaper.vala"
		return NULL;
#line 674 "set-wallpaper.c"
	}
#line 135 "../set-wallpaper-contract/set-wallpaper.vala"
	result = dest;
#line 135 "../set-wallpaper-contract/set-wallpaper.vala"
	return result;
#line 680 "set-wallpaper.c"
}

static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
	return _data1_;
#line 690 "set-wallpaper.c"
}

static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (_data1_->dialog);
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (_data1_->duration);
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
		g_slice_free (Block1Data, _data1_);
#line 706 "set-wallpaper.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 149 "../set-wallpaper-contract/set-wallpaper.vala"
	return self ? g_object_ref (self) : NULL;
#line 715 "set-wallpaper.c"
}

static void
_g_object_unref0_ (gpointer var)
{
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 723 "set-wallpaper.c"
}

static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 731 "set-wallpaper.c"
}

static void
__lambda4_ (Block1Data* _data1_)
{
	GtkScale* _tmp0_;
	GraniteMessageDialog* _tmp1_;
	GtkLabel* _tmp2_;
	GtkLabel* _tmp3_;
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = _data1_->duration;
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp1_ = _data1_->dialog;
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp2_ = granite_message_dialog_get_secondary_label (_tmp1_);
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp3_ = _tmp2_;
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	set_wallpaper_contractor_delay_value_changed (_tmp0_, _tmp3_);
#line 751 "set-wallpaper.c"
}

static void
___lambda4__gtk_range_value_changed (GtkRange* _sender,
                                     gpointer self)
{
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	__lambda4_ (self);
#line 760 "set-wallpaper.c"
}

static gint
set_wallpaper_contractor_main (gchar** args,
                               gint args_length1)
{
	Block1Data* _data1_;
	GFile* folder = NULL;
	GFile* _tmp0_;
	GList* files = NULL;
	GList* _tmp21_;
	GList* _tmp22_;
	GtkScale* _tmp27_ = NULL;
	GtkScale* _tmp28_;
	GThemedIcon* _tmp29_;
	GraniteMessageDialog* _tmp30_ = NULL;
	GraniteMessageDialog* _tmp31_;
	GraniteMessageDialog* _tmp32_;
	GraniteMessageDialog* _tmp33_;
	GtkBin* _tmp34_;
	GtkBin* _tmp35_;
	GtkScale* _tmp36_;
	GraniteMessageDialog* _tmp37_;
	GtkScale* _tmp38_;
	GraniteMessageDialog* _tmp39_;
	GtkLabel* _tmp40_;
	GtkLabel* _tmp41_;
	GtkScale* _tmp42_;
	GraniteMessageDialog* _tmp43_;
	gint result;
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
	_data1_->_ref_count_ = 1;
#line 139 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_init ((gint*) (&args_length1), &args);
#line 141 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp0_ = set_wallpaper_contractor_ensure_local_bg_exists ();
#line 141 "../set-wallpaper-contract/set-wallpaper.vala"
	folder = _tmp0_;
#line 142 "../set-wallpaper-contract/set-wallpaper.vala"
	files = NULL;
#line 803 "set-wallpaper.c"
	{
		gint i = 0;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
		i = 1;
#line 808 "set-wallpaper.c"
		{
			gboolean _tmp1_ = FALSE;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
			_tmp1_ = TRUE;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
			while (TRUE) {
#line 815 "set-wallpaper.c"
				GFile* file = NULL;
				const gchar* _tmp3_;
				GFile* _tmp4_;
				GFile* _tmp5_;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
				if (!_tmp1_) {
#line 822 "set-wallpaper.c"
					gint _tmp2_;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp2_ = i;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
					i = _tmp2_ + 1;
#line 828 "set-wallpaper.c"
				}
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp1_ = FALSE;
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
				if (!(i < args_length1)) {
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
					break;
#line 836 "set-wallpaper.c"
				}
#line 144 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp3_ = args[i];
#line 144 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp4_ = g_file_new_for_path (_tmp3_);
#line 144 "../set-wallpaper-contract/set-wallpaper.vala"
				file = _tmp4_;
#line 146 "../set-wallpaper-contract/set-wallpaper.vala"
				_tmp5_ = file;
#line 146 "../set-wallpaper-contract/set-wallpaper.vala"
				if (_tmp5_ != NULL) {
#line 848 "set-wallpaper.c"
					gchar* path = NULL;
					GFile* _tmp6_;
					gchar* _tmp7_;
					GFile* append_file = NULL;
					GFile* _tmp8_;
					GFile* _tmp9_;
					const gchar* _tmp10_;
					gchar* _tmp11_;
					gchar* _tmp12_;
					gboolean _tmp13_;
					GFile* _tmp19_;
					GFile* _tmp20_;
#line 148 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp6_ = file;
#line 148 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp7_ = g_file_get_path (_tmp6_);
#line 148 "../set-wallpaper-contract/set-wallpaper.vala"
					path = _tmp7_;
#line 149 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp8_ = file;
#line 149 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp9_ = _g_object_ref0 (_tmp8_);
#line 149 "../set-wallpaper-contract/set-wallpaper.vala"
					append_file = _tmp9_;
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp10_ = path;
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp11_ = set_wallpaper_contractor_get_local_bg_directory ();
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp12_ = _tmp11_;
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp13_ = !g_str_has_prefix (_tmp10_, _tmp12_);
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
					_g_free0 (_tmp12_);
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
					if (_tmp13_) {
#line 885 "set-wallpaper.c"
						GFile* local_file = NULL;
						GFile* _tmp14_;
						GFile* _tmp15_;
						GFile* _tmp16_;
#line 151 "../set-wallpaper-contract/set-wallpaper.vala"
						_tmp14_ = file;
#line 151 "../set-wallpaper-contract/set-wallpaper.vala"
						_tmp15_ = set_wallpaper_contractor_copy_for_library (_tmp14_);
#line 151 "../set-wallpaper-contract/set-wallpaper.vala"
						local_file = _tmp15_;
#line 152 "../set-wallpaper-contract/set-wallpaper.vala"
						_tmp16_ = local_file;
#line 152 "../set-wallpaper-contract/set-wallpaper.vala"
						if (_tmp16_ != NULL) {
#line 900 "set-wallpaper.c"
							GFile* _tmp17_;
							GFile* _tmp18_;
#line 153 "../set-wallpaper-contract/set-wallpaper.vala"
							_tmp17_ = local_file;
#line 153 "../set-wallpaper-contract/set-wallpaper.vala"
							_tmp18_ = _g_object_ref0 (_tmp17_);
#line 153 "../set-wallpaper-contract/set-wallpaper.vala"
							_g_object_unref0 (append_file);
#line 153 "../set-wallpaper-contract/set-wallpaper.vala"
							append_file = _tmp18_;
#line 911 "set-wallpaper.c"
						}
#line 150 "../set-wallpaper-contract/set-wallpaper.vala"
						_g_object_unref0 (local_file);
#line 915 "set-wallpaper.c"
					}
#line 157 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp19_ = append_file;
#line 157 "../set-wallpaper-contract/set-wallpaper.vala"
					_tmp20_ = _g_object_ref0 (_tmp19_);
#line 157 "../set-wallpaper-contract/set-wallpaper.vala"
					files = g_list_append (files, _tmp20_);
#line 146 "../set-wallpaper-contract/set-wallpaper.vala"
					_g_object_unref0 (append_file);
#line 146 "../set-wallpaper-contract/set-wallpaper.vala"
					_g_free0 (path);
#line 927 "set-wallpaper.c"
				}
#line 143 "../set-wallpaper-contract/set-wallpaper.vala"
				_g_object_unref0 (file);
#line 931 "set-wallpaper.c"
			}
		}
	}
#line 161 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp21_ = files;
#line 161 "../set-wallpaper-contract/set-wallpaper.vala"
	if (g_list_length (_tmp21_) < ((guint) 1)) {
#line 162 "../set-wallpaper-contract/set-wallpaper.vala"
		g_warning ("set-wallpaper.vala:162: No images specified, aborting.\n");
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
		result = 1;
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
		(files == NULL) ? NULL : (files = (_g_list_free__g_object_unref0_ (files), NULL));
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (folder);
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
		block1_data_unref (_data1_);
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
		_data1_ = NULL;
#line 163 "../set-wallpaper-contract/set-wallpaper.vala"
		return result;
#line 953 "set-wallpaper.c"
	}
#line 166 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp22_ = files;
#line 166 "../set-wallpaper-contract/set-wallpaper.vala"
	if (g_list_length (_tmp22_) == ((guint) 1)) {
#line 959 "set-wallpaper.c"
		GList* _tmp23_;
		gconstpointer _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
#line 167 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp23_ = files;
#line 167 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp24_ = _tmp23_->data;
#line 167 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp25_ = g_file_get_uri ((GFile*) _tmp24_);
#line 167 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp26_ = _tmp25_;
#line 167 "../set-wallpaper-contract/set-wallpaper.vala"
		set_wallpaper_contractor_set_settings_key (_tmp26_);
#line 167 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (_tmp26_);
#line 168 "../set-wallpaper-contract/set-wallpaper.vala"
		result = 0;
#line 168 "../set-wallpaper-contract/set-wallpaper.vala"
		(files == NULL) ? NULL : (files = (_g_list_free__g_object_unref0_ (files), NULL));
#line 168 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (folder);
#line 168 "../set-wallpaper-contract/set-wallpaper.vala"
		block1_data_unref (_data1_);
#line 168 "../set-wallpaper-contract/set-wallpaper.vala"
		_data1_ = NULL;
#line 168 "../set-wallpaper-contract/set-wallpaper.vala"
		return result;
#line 988 "set-wallpaper.c"
	}
#line 171 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp27_ = (GtkScale*) gtk_scale_new_with_range (GTK_ORIENTATION_HORIZONTAL, (gdouble) 0, (gdouble) 100, (gdouble) 10);
#line 171 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_scale_set_draw_value (_tmp27_, FALSE);
#line 171 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp27_, TRUE);
#line 171 "../set-wallpaper-contract/set-wallpaper.vala"
	g_object_ref_sink (_tmp27_);
#line 171 "../set-wallpaper-contract/set-wallpaper.vala"
	_data1_->duration = _tmp27_;
#line 175 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp28_ = _data1_->duration;
#line 175 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_range_set_value ((GtkRange*) _tmp28_, (gdouble) 50);
#line 177 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp29_ = (GThemedIcon*) g_themed_icon_new ("media-playback-start");
#line 177 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp30_ = granite_message_dialog_new_with_image_from_icon_name (_ ("Set As Desktop Slideshow"), "", "preferences-desktop-wallpaper", GTK_BUTTONS_CANCEL);
#line 177 "../set-wallpaper-contract/set-wallpaper.vala"
	granite_message_dialog_set_badge_icon (_tmp30_, (GIcon*) _tmp29_);
#line 177 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_object_unref0 (_tmp29_);
#line 177 "../set-wallpaper-contract/set-wallpaper.vala"
	g_object_ref_sink (_tmp30_);
#line 177 "../set-wallpaper-contract/set-wallpaper.vala"
	_data1_->dialog = _tmp30_;
#line 185 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp31_ = _data1_->dialog;
#line 185 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_dialog_add_button ((GtkDialog*) _tmp31_, _ ("Create Slideshow"), (gint) GTK_RESPONSE_OK);
#line 186 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp32_ = _data1_->dialog;
#line 186 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_dialog_set_default_response ((GtkDialog*) _tmp32_, (gint) GTK_RESPONSE_OK);
#line 187 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp33_ = _data1_->dialog;
#line 187 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp34_ = granite_message_dialog_get_custom_bin (_tmp33_);
#line 187 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp35_ = _tmp34_;
#line 187 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp36_ = _data1_->duration;
#line 187 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_container_add ((GtkContainer*) _tmp35_, (GtkWidget*) _tmp36_);
#line 188 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp37_ = _data1_->dialog;
#line 188 "../set-wallpaper-contract/set-wallpaper.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp37_);
#line 190 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp38_ = _data1_->duration;
#line 190 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp39_ = _data1_->dialog;
#line 190 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp40_ = granite_message_dialog_get_secondary_label (_tmp39_);
#line 190 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp41_ = _tmp40_;
#line 190 "../set-wallpaper-contract/set-wallpaper.vala"
	set_wallpaper_contractor_delay_value_changed (_tmp38_, _tmp41_);
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp42_ = _data1_->duration;
#line 191 "../set-wallpaper-contract/set-wallpaper.vala"
	g_signal_connect_data ((GtkRange*) _tmp42_, "value-changed", (GCallback) ___lambda4__gtk_range_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 193 "../set-wallpaper-contract/set-wallpaper.vala"
	_tmp43_ = _data1_->dialog;
#line 193 "../set-wallpaper-contract/set-wallpaper.vala"
	if (gtk_dialog_run ((GtkDialog*) _tmp43_) == ((gint) GTK_RESPONSE_OK)) {
#line 1056 "set-wallpaper.c"
		GraniteMessageDialog* _tmp44_;
		gchar* path = NULL;
		GFile* _tmp45_;
		GFile* _tmp46_;
		GFile* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
		const gchar* _tmp50_;
		GList* _tmp51_;
#line 194 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp44_ = _data1_->dialog;
#line 194 "../set-wallpaper-contract/set-wallpaper.vala"
		gtk_widget_destroy ((GtkWidget*) _tmp44_);
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp45_ = folder;
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp46_ = g_file_get_child (_tmp45_, SET_WALLPAPER_CONTRACTOR_SLIDESHOW_FILENAME);
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp47_ = _tmp46_;
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp48_ = g_file_get_path (_tmp47_);
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp49_ = _tmp48_;
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (_tmp47_);
#line 196 "../set-wallpaper-contract/set-wallpaper.vala"
		path = _tmp49_;
#line 197 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp50_ = path;
#line 197 "../set-wallpaper-contract/set-wallpaper.vala"
		_tmp51_ = files;
#line 197 "../set-wallpaper-contract/set-wallpaper.vala"
		set_wallpaper_contractor_update_slideshow (_tmp50_, _tmp51_, set_wallpaper_contractor_delay_value);
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		result = 0;
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_free0 (path);
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		(files == NULL) ? NULL : (files = (_g_list_free__g_object_unref0_ (files), NULL));
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		_g_object_unref0 (folder);
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		block1_data_unref (_data1_);
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		_data1_ = NULL;
#line 198 "../set-wallpaper-contract/set-wallpaper.vala"
		return result;
#line 1104 "set-wallpaper.c"
	}
#line 201 "../set-wallpaper-contract/set-wallpaper.vala"
	result = 1;
#line 201 "../set-wallpaper-contract/set-wallpaper.vala"
	(files == NULL) ? NULL : (files = (_g_list_free__g_object_unref0_ (files), NULL));
#line 201 "../set-wallpaper-contract/set-wallpaper.vala"
	_g_object_unref0 (folder);
#line 201 "../set-wallpaper-contract/set-wallpaper.vala"
	block1_data_unref (_data1_);
#line 201 "../set-wallpaper-contract/set-wallpaper.vala"
	_data1_ = NULL;
#line 201 "../set-wallpaper-contract/set-wallpaper.vala"
	return result;
#line 1118 "set-wallpaper.c"
}

int
main (int argc,
      char ** argv)
{
#line 138 "../set-wallpaper-contract/set-wallpaper.vala"
	return set_wallpaper_contractor_main (argv, argc);
#line 1127 "set-wallpaper.c"
}

