/* Dock.c generated by valac 0.56.13, the Vala compiler
 * generated from Dock.vala, do not modify */

/*
 * SPDX-License-Identifier: GPL-2.0-or-later
 * SPDX-FileCopyrightText: 2016-2023 elementary, Inc. (https://elementary.io)
 */

#include "pantheon-desktop.h"
#include <gtk/gtk.h>
#include <plank.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <libgnome-desktop/gnome-rr.h>
#include <glib/gi18n-lib.h>
#include <glib-object.h>
#include <granite.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <handy.h>

#define PANTHEON_SHELL_DOCK_PANEL_SCHEMA "io.elementary.desktop.wingpanel"
#define PANTHEON_SHELL_DOCK_TRANSLUCENCY_KEY "use-transparency"

enum  {
	PANTHEON_SHELL_DOCK_0_PROPERTY,
	PANTHEON_SHELL_DOCK_NUM_PROPERTIES
};
static GParamSpec* pantheon_shell_dock_properties[PANTHEON_SHELL_DOCK_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block3Data Block3Data;
#define _g_settings_schema_unref0(var) ((var == NULL) ? NULL : (var = (g_settings_schema_unref (var), NULL)))

struct _PantheonShellDockPrivate {
	GtkGrid* display_grid;
	GtkComboBoxText* display_combo;
	PlankDockPreferences* dock_preferences;
};

struct _Block3Data {
	int _ref_count_;
	PantheonShellDock* self;
	GtkRadioButton* never_radio;
	GtkRadioButton* dodge_maximized_radio;
	GtkRadioButton* intelligent_radio;
	GtkRadioButton* window_dodge_radio;
	GtkRadioButton* auto_radio;
	GtkSwitch* display_switch;
	GtkGrid* pressure_grid;
};

static gint PantheonShellDock_private_offset;
static gpointer pantheon_shell_dock_parent_class = NULL;

static void pantheon_shell_dock_check_for_screens (PantheonShellDock* self);
static gint pantheon_shell_dock_find_monitor_number (GdkDisplay* display,
                                              const gchar* plug_name);
static gchar** pantheon_shell_dock_get_monitor_plug_names (GdkDisplay* display,
                                                    gint* result_length1);
static GObject * pantheon_shell_dock_constructor (GType type,
                                           guint n_construct_properties,
                                           GObjectConstructParam * construct_properties);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static void _pantheon_shell_dock___lambda35_ (PantheonShellDock* self);
static void __pantheon_shell_dock___lambda35__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda36_ (PantheonShellDock* self);
static void __pantheon_shell_dock___lambda36__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda37_ (PantheonShellDock* self);
static void __pantheon_shell_dock___lambda37__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda38_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda38__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda39_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda39__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda40_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda40__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda41_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda41__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda42_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda42__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self);
static void _pantheon_shell_dock___lambda43_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda43__g_object_notify (GObject* _sender,
                                                        GParamSpec* pspec,
                                                        gpointer self);
static void _pantheon_shell_dock___lambda44_ (Block3Data* _data3_);
static void __pantheon_shell_dock___lambda44__g_object_notify (GObject* _sender,
                                                        GParamSpec* pspec,
                                                        gpointer self);
static void _pantheon_shell_dock_check_for_screens_gdk_screen_monitors_changed (GdkScreen* _sender,
                                                                         gpointer self);
static void pantheon_shell_dock_finalize (GObject * obj);
static GType pantheon_shell_dock_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

static inline gpointer
pantheon_shell_dock_get_instance_private (PantheonShellDock* self)
{
	return G_STRUCT_MEMBER_P (self, PantheonShellDock_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 318 "../src/Views/Dock.vala"
	return self ? g_object_ref (self) : NULL;
#line 125 "Dock.c"
}

static void
pantheon_shell_dock_check_for_screens (PantheonShellDock* self)
{
	gint i = 0;
	gint primary_screen = 0;
	GdkDisplay* default_display = NULL;
	GdkDisplay* _tmp0_;
	GdkDisplay* _tmp1_;
	GdkScreen* default_screen = NULL;
	GdkScreen* _tmp2_;
	GdkScreen* _tmp3_;
	GtkComboBoxText* _tmp4_;
	GError* _inner_error0_ = NULL;
#line 315 "../src/Views/Dock.vala"
	g_return_if_fail (self != NULL);
#line 316 "../src/Views/Dock.vala"
	i = 0;
#line 317 "../src/Views/Dock.vala"
	primary_screen = 0;
#line 318 "../src/Views/Dock.vala"
	_tmp0_ = gtk_widget_get_display ((GtkWidget*) self);
#line 318 "../src/Views/Dock.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 318 "../src/Views/Dock.vala"
	default_display = _tmp1_;
#line 319 "../src/Views/Dock.vala"
	_tmp2_ = gtk_widget_get_screen ((GtkWidget*) self);
#line 319 "../src/Views/Dock.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 319 "../src/Views/Dock.vala"
	default_screen = _tmp3_;
#line 320 "../src/Views/Dock.vala"
	_tmp4_ = self->priv->display_combo;
#line 320 "../src/Views/Dock.vala"
	gtk_combo_box_text_remove_all (_tmp4_);
#line 163 "Dock.c"
	{
		GnomeRRScreen* screen = NULL;
		GdkScreen* _tmp5_;
		GnomeRRScreen* _tmp6_;
#line 322 "../src/Views/Dock.vala"
		_tmp5_ = default_screen;
#line 322 "../src/Views/Dock.vala"
		_tmp6_ = gnome_rr_screen_new (_tmp5_, &_inner_error0_);
#line 322 "../src/Views/Dock.vala"
		screen = _tmp6_;
#line 322 "../src/Views/Dock.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 176 "Dock.c"
			goto __catch0_g_error;
		}
		{
			gboolean _tmp7_ = FALSE;
#line 323 "../src/Views/Dock.vala"
			i = 0;
#line 323 "../src/Views/Dock.vala"
			_tmp7_ = TRUE;
#line 323 "../src/Views/Dock.vala"
			while (TRUE) {
#line 187 "Dock.c"
				GdkDisplay* _tmp9_;
				gchar* monitor_plug_name = NULL;
				GdkDisplay* _tmp10_;
				GdkMonitor* _tmp11_;
				const gchar* _tmp12_;
				const gchar* _tmp13_;
				gchar* _tmp14_;
				const gchar* _tmp15_;
				GtkComboBoxText* _tmp30_;
				gchar* _tmp31_;
				gchar* _tmp32_;
#line 323 "../src/Views/Dock.vala"
				if (!_tmp7_) {
#line 201 "Dock.c"
					gint _tmp8_;
#line 323 "../src/Views/Dock.vala"
					_tmp8_ = i;
#line 323 "../src/Views/Dock.vala"
					i = _tmp8_ + 1;
#line 207 "Dock.c"
				}
#line 323 "../src/Views/Dock.vala"
				_tmp7_ = FALSE;
#line 323 "../src/Views/Dock.vala"
				_tmp9_ = default_display;
#line 323 "../src/Views/Dock.vala"
				if (!(i < gdk_display_get_n_monitors (_tmp9_))) {
#line 323 "../src/Views/Dock.vala"
					break;
#line 217 "Dock.c"
				}
#line 324 "../src/Views/Dock.vala"
				_tmp10_ = default_display;
#line 324 "../src/Views/Dock.vala"
				_tmp11_ = gdk_display_get_monitor (_tmp10_, i);
#line 324 "../src/Views/Dock.vala"
				_tmp12_ = gdk_monitor_get_model (_tmp11_);
#line 324 "../src/Views/Dock.vala"
				_tmp13_ = _tmp12_;
#line 324 "../src/Views/Dock.vala"
				_tmp14_ = g_strdup (_tmp13_);
#line 324 "../src/Views/Dock.vala"
				monitor_plug_name = _tmp14_;
#line 326 "../src/Views/Dock.vala"
				_tmp15_ = monitor_plug_name;
#line 326 "../src/Views/Dock.vala"
				if (_tmp15_ != NULL) {
#line 235 "Dock.c"
					GnomeRROutput* output = NULL;
					GnomeRRScreen* _tmp16_;
					const gchar* _tmp17_;
					GnomeRROutput* _tmp18_;
					gboolean _tmp19_ = FALSE;
					gboolean _tmp20_ = FALSE;
					GnomeRROutput* _tmp21_;
#line 327 "../src/Views/Dock.vala"
					_tmp16_ = screen;
#line 327 "../src/Views/Dock.vala"
					_tmp17_ = monitor_plug_name;
#line 327 "../src/Views/Dock.vala"
					_tmp18_ = gnome_rr_screen_get_output_by_name (_tmp16_, _tmp17_);
#line 327 "../src/Views/Dock.vala"
					output = _tmp18_;
#line 328 "../src/Views/Dock.vala"
					_tmp21_ = output;
#line 328 "../src/Views/Dock.vala"
					if (_tmp21_ != NULL) {
#line 255 "Dock.c"
						GnomeRROutput* _tmp22_;
						const gchar* _tmp23_;
#line 328 "../src/Views/Dock.vala"
						_tmp22_ = output;
#line 328 "../src/Views/Dock.vala"
						_tmp23_ = gnome_rr_output_get_display_name (_tmp22_);
#line 328 "../src/Views/Dock.vala"
						_tmp20_ = _tmp23_ != NULL;
#line 264 "Dock.c"
					} else {
#line 328 "../src/Views/Dock.vala"
						_tmp20_ = FALSE;
#line 268 "Dock.c"
					}
#line 328 "../src/Views/Dock.vala"
					if (_tmp20_) {
#line 272 "Dock.c"
						GnomeRROutput* _tmp24_;
						const gchar* _tmp25_;
#line 328 "../src/Views/Dock.vala"
						_tmp24_ = output;
#line 328 "../src/Views/Dock.vala"
						_tmp25_ = gnome_rr_output_get_display_name (_tmp24_);
#line 328 "../src/Views/Dock.vala"
						_tmp19_ = g_strcmp0 (_tmp25_, "") != 0;
#line 281 "Dock.c"
					} else {
#line 328 "../src/Views/Dock.vala"
						_tmp19_ = FALSE;
#line 285 "Dock.c"
					}
#line 328 "../src/Views/Dock.vala"
					if (_tmp19_) {
#line 289 "Dock.c"
						GtkComboBoxText* _tmp26_;
						GnomeRROutput* _tmp27_;
						const gchar* _tmp28_;
						GnomeRROutput* _tmp29_;
#line 329 "../src/Views/Dock.vala"
						_tmp26_ = self->priv->display_combo;
#line 329 "../src/Views/Dock.vala"
						_tmp27_ = output;
#line 329 "../src/Views/Dock.vala"
						_tmp28_ = gnome_rr_output_get_display_name (_tmp27_);
#line 329 "../src/Views/Dock.vala"
						gtk_combo_box_text_append_text (_tmp26_, _tmp28_);
#line 330 "../src/Views/Dock.vala"
						_tmp29_ = output;
#line 330 "../src/Views/Dock.vala"
						if (gnome_rr_output_get_is_primary (_tmp29_) == TRUE) {
#line 331 "../src/Views/Dock.vala"
							primary_screen = i;
#line 308 "Dock.c"
						}
#line 333 "../src/Views/Dock.vala"
						_g_free0 (monitor_plug_name);
#line 333 "../src/Views/Dock.vala"
						continue;
#line 314 "Dock.c"
					}
				}
#line 337 "../src/Views/Dock.vala"
				_tmp30_ = self->priv->display_combo;
#line 337 "../src/Views/Dock.vala"
				_tmp31_ = g_strdup_printf (_ ("Monitor %d"), i + 1);
#line 337 "../src/Views/Dock.vala"
				_tmp32_ = _tmp31_;
#line 337 "../src/Views/Dock.vala"
				gtk_combo_box_text_append_text (_tmp30_, _tmp32_);
#line 337 "../src/Views/Dock.vala"
				_g_free0 (_tmp32_);
#line 323 "../src/Views/Dock.vala"
				_g_free0 (monitor_plug_name);
#line 329 "Dock.c"
			}
		}
#line 321 "../src/Views/Dock.vala"
		_g_object_unref0 (screen);
#line 334 "Dock.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp33_;
		const gchar* _tmp34_;
#line 321 "../src/Views/Dock.vala"
		e = _inner_error0_;
#line 321 "../src/Views/Dock.vala"
		_inner_error0_ = NULL;
#line 340 "../src/Views/Dock.vala"
		_tmp33_ = e;
#line 340 "../src/Views/Dock.vala"
		_tmp34_ = _tmp33_->message;
#line 340 "../src/Views/Dock.vala"
		g_critical ("Dock.vala:340: %s", _tmp34_);
#line 352 "Dock.c"
		{
			gboolean _tmp35_ = FALSE;
#line 341 "../src/Views/Dock.vala"
			i = 0;
#line 341 "../src/Views/Dock.vala"
			_tmp35_ = TRUE;
#line 341 "../src/Views/Dock.vala"
			while (TRUE) {
#line 361 "Dock.c"
				GdkDisplay* _tmp37_;
				GtkComboBoxText* _tmp38_;
				gchar* _tmp39_;
				gchar* _tmp40_;
#line 341 "../src/Views/Dock.vala"
				if (!_tmp35_) {
#line 368 "Dock.c"
					gint _tmp36_;
#line 341 "../src/Views/Dock.vala"
					_tmp36_ = i;
#line 341 "../src/Views/Dock.vala"
					i = _tmp36_ + 1;
#line 374 "Dock.c"
				}
#line 341 "../src/Views/Dock.vala"
				_tmp35_ = FALSE;
#line 341 "../src/Views/Dock.vala"
				_tmp37_ = default_display;
#line 341 "../src/Views/Dock.vala"
				if (!(i < gdk_display_get_n_monitors (_tmp37_))) {
#line 341 "../src/Views/Dock.vala"
					break;
#line 384 "Dock.c"
				}
#line 342 "../src/Views/Dock.vala"
				_tmp38_ = self->priv->display_combo;
#line 342 "../src/Views/Dock.vala"
				_tmp39_ = g_strdup_printf (_ ("Display %d"), i + 1);
#line 342 "../src/Views/Dock.vala"
				_tmp40_ = _tmp39_;
#line 342 "../src/Views/Dock.vala"
				gtk_combo_box_text_append_text (_tmp38_, _tmp40_);
#line 342 "../src/Views/Dock.vala"
				_g_free0 (_tmp40_);
#line 396 "Dock.c"
			}
		}
#line 321 "../src/Views/Dock.vala"
		_g_error_free0 (e);
#line 401 "Dock.c"
	}
	__finally0:
#line 321 "../src/Views/Dock.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 321 "../src/Views/Dock.vala"
		_g_object_unref0 (default_screen);
#line 321 "../src/Views/Dock.vala"
		_g_object_unref0 (default_display);
#line 321 "../src/Views/Dock.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 321 "../src/Views/Dock.vala"
		g_clear_error (&_inner_error0_);
#line 321 "../src/Views/Dock.vala"
		return;
#line 416 "Dock.c"
	}
#line 346 "../src/Views/Dock.vala"
	if (i <= 1) {
#line 420 "Dock.c"
		GtkGrid* _tmp41_;
		GtkGrid* _tmp42_;
#line 347 "../src/Views/Dock.vala"
		_tmp41_ = self->priv->display_grid;
#line 347 "../src/Views/Dock.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp41_, TRUE);
#line 348 "../src/Views/Dock.vala"
		_tmp42_ = self->priv->display_grid;
#line 348 "../src/Views/Dock.vala"
		gtk_widget_hide ((GtkWidget*) _tmp42_);
#line 431 "Dock.c"
	} else {
		PlankDockPreferences* _tmp43_;
		const gchar* _tmp44_;
		const gchar* _tmp45_;
		GtkGrid* _tmp52_;
		GtkGrid* _tmp53_;
#line 350 "../src/Views/Dock.vala"
		_tmp43_ = self->priv->dock_preferences;
#line 350 "../src/Views/Dock.vala"
		_tmp44_ = plank_dock_preferences_get_Monitor (_tmp43_);
#line 350 "../src/Views/Dock.vala"
		_tmp45_ = _tmp44_;
#line 350 "../src/Views/Dock.vala"
		if (g_strcmp0 (_tmp45_, "") != 0) {
#line 446 "Dock.c"
			GtkComboBoxText* _tmp46_;
			GdkDisplay* _tmp47_;
			PlankDockPreferences* _tmp48_;
			const gchar* _tmp49_;
			const gchar* _tmp50_;
#line 351 "../src/Views/Dock.vala"
			_tmp46_ = self->priv->display_combo;
#line 351 "../src/Views/Dock.vala"
			_tmp47_ = gtk_widget_get_display ((GtkWidget*) self);
#line 351 "../src/Views/Dock.vala"
			_tmp48_ = self->priv->dock_preferences;
#line 351 "../src/Views/Dock.vala"
			_tmp49_ = plank_dock_preferences_get_Monitor (_tmp48_);
#line 351 "../src/Views/Dock.vala"
			_tmp50_ = _tmp49_;
#line 351 "../src/Views/Dock.vala"
			gtk_combo_box_set_active ((GtkComboBox*) _tmp46_, pantheon_shell_dock_find_monitor_number (_tmp47_, _tmp50_));
#line 464 "Dock.c"
		} else {
			GtkComboBoxText* _tmp51_;
#line 353 "../src/Views/Dock.vala"
			_tmp51_ = self->priv->display_combo;
#line 353 "../src/Views/Dock.vala"
			gtk_combo_box_set_active ((GtkComboBox*) _tmp51_, primary_screen);
#line 471 "Dock.c"
		}
#line 356 "../src/Views/Dock.vala"
		_tmp52_ = self->priv->display_grid;
#line 356 "../src/Views/Dock.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp52_, FALSE);
#line 357 "../src/Views/Dock.vala"
		_tmp53_ = self->priv->display_grid;
#line 357 "../src/Views/Dock.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp53_);
#line 481 "Dock.c"
	}
#line 315 "../src/Views/Dock.vala"
	_g_object_unref0 (default_screen);
#line 315 "../src/Views/Dock.vala"
	_g_object_unref0 (default_display);
#line 487 "Dock.c"
}

static gchar**
pantheon_shell_dock_get_monitor_plug_names (GdkDisplay* display,
                                            gint* result_length1)
{
	gint n_monitors = 0;
	gchar** _result_ = NULL;
	gchar** _tmp0_;
	gint _result__length1;
	gint __result__size_;
	gchar** _tmp8_;
	gint _tmp8__length1;
	gchar** result;
#line 361 "../src/Views/Dock.vala"
	g_return_val_if_fail (display != NULL, NULL);
#line 362 "../src/Views/Dock.vala"
	n_monitors = gdk_display_get_n_monitors (display);
#line 363 "../src/Views/Dock.vala"
	_tmp0_ = g_new0 (gchar*, n_monitors + 1);
#line 363 "../src/Views/Dock.vala"
	_result_ = _tmp0_;
#line 363 "../src/Views/Dock.vala"
	_result__length1 = n_monitors;
#line 363 "../src/Views/Dock.vala"
	__result__size_ = _result__length1;
#line 514 "Dock.c"
	{
		gint i = 0;
#line 365 "../src/Views/Dock.vala"
		i = 0;
#line 519 "Dock.c"
		{
			gboolean _tmp1_ = FALSE;
#line 365 "../src/Views/Dock.vala"
			_tmp1_ = TRUE;
#line 365 "../src/Views/Dock.vala"
			while (TRUE) {
#line 526 "Dock.c"
				gchar** _tmp3_;
				gint _tmp3__length1;
				GdkMonitor* _tmp4_;
				const gchar* _tmp5_;
				const gchar* _tmp6_;
				gchar* _tmp7_;
#line 365 "../src/Views/Dock.vala"
				if (!_tmp1_) {
#line 535 "Dock.c"
					gint _tmp2_;
#line 365 "../src/Views/Dock.vala"
					_tmp2_ = i;
#line 365 "../src/Views/Dock.vala"
					i = _tmp2_ + 1;
#line 541 "Dock.c"
				}
#line 365 "../src/Views/Dock.vala"
				_tmp1_ = FALSE;
#line 365 "../src/Views/Dock.vala"
				if (!(i < n_monitors)) {
#line 365 "../src/Views/Dock.vala"
					break;
#line 549 "Dock.c"
				}
#line 366 "../src/Views/Dock.vala"
				_tmp3_ = _result_;
#line 366 "../src/Views/Dock.vala"
				_tmp3__length1 = _result__length1;
#line 366 "../src/Views/Dock.vala"
				_tmp4_ = gdk_display_get_monitor (display, i);
#line 366 "../src/Views/Dock.vala"
				_tmp5_ = gdk_monitor_get_model (_tmp4_);
#line 366 "../src/Views/Dock.vala"
				_tmp6_ = _tmp5_;
#line 366 "../src/Views/Dock.vala"
				_tmp7_ = g_strdup (_tmp6_);
#line 366 "../src/Views/Dock.vala"
				_g_free0 (_tmp3_[i]);
#line 366 "../src/Views/Dock.vala"
				_tmp3_[i] = _tmp7_;
#line 567 "Dock.c"
			}
		}
	}
#line 369 "../src/Views/Dock.vala"
	_tmp8_ = _result_;
#line 369 "../src/Views/Dock.vala"
	_tmp8__length1 = _result__length1;
#line 369 "../src/Views/Dock.vala"
	if (result_length1) {
#line 369 "../src/Views/Dock.vala"
		*result_length1 = _tmp8__length1;
#line 579 "Dock.c"
	}
#line 369 "../src/Views/Dock.vala"
	result = _tmp8_;
#line 369 "../src/Views/Dock.vala"
	return result;
#line 585 "Dock.c"
}

static gint
pantheon_shell_dock_find_monitor_number (GdkDisplay* display,
                                         const gchar* plug_name)
{
	gint n_monitors = 0;
	gint result;
#line 372 "../src/Views/Dock.vala"
	g_return_val_if_fail (display != NULL, 0);
#line 372 "../src/Views/Dock.vala"
	g_return_val_if_fail (plug_name != NULL, 0);
#line 373 "../src/Views/Dock.vala"
	n_monitors = gdk_display_get_n_monitors (display);
#line 600 "Dock.c"
	{
		gint i = 0;
#line 375 "../src/Views/Dock.vala"
		i = 0;
#line 605 "Dock.c"
		{
			gboolean _tmp0_ = FALSE;
#line 375 "../src/Views/Dock.vala"
			_tmp0_ = TRUE;
#line 375 "../src/Views/Dock.vala"
			while (TRUE) {
#line 612 "Dock.c"
				GdkMonitor* monitor = NULL;
				GdkMonitor* _tmp2_;
				GdkMonitor* _tmp3_;
				gchar* name = NULL;
				GdkMonitor* _tmp4_;
				const gchar* _tmp5_;
				gchar* _tmp6_;
				const gchar* _tmp7_;
#line 375 "../src/Views/Dock.vala"
				if (!_tmp0_) {
#line 623 "Dock.c"
					gint _tmp1_;
#line 375 "../src/Views/Dock.vala"
					_tmp1_ = i;
#line 375 "../src/Views/Dock.vala"
					i = _tmp1_ + 1;
#line 629 "Dock.c"
				}
#line 375 "../src/Views/Dock.vala"
				_tmp0_ = FALSE;
#line 375 "../src/Views/Dock.vala"
				if (!(i < n_monitors)) {
#line 375 "../src/Views/Dock.vala"
					break;
#line 637 "Dock.c"
				}
#line 376 "../src/Views/Dock.vala"
				_tmp2_ = gdk_display_get_monitor (display, i);
#line 376 "../src/Views/Dock.vala"
				_tmp3_ = _g_object_ref0 (_tmp2_);
#line 376 "../src/Views/Dock.vala"
				monitor = _tmp3_;
#line 377 "../src/Views/Dock.vala"
				_tmp4_ = monitor;
#line 377 "../src/Views/Dock.vala"
				_tmp5_ = gdk_monitor_get_model (_tmp4_);
#line 377 "../src/Views/Dock.vala"
				_tmp6_ = g_strdup (_tmp5_);
#line 377 "../src/Views/Dock.vala"
				name = _tmp6_;
#line 378 "../src/Views/Dock.vala"
				_tmp7_ = name;
#line 378 "../src/Views/Dock.vala"
				if (g_strcmp0 (plug_name, _tmp7_) == 0) {
#line 379 "../src/Views/Dock.vala"
					result = i;
#line 379 "../src/Views/Dock.vala"
					_g_free0 (name);
#line 379 "../src/Views/Dock.vala"
					_g_object_unref0 (monitor);
#line 379 "../src/Views/Dock.vala"
					return result;
#line 665 "Dock.c"
				}
#line 375 "../src/Views/Dock.vala"
				_g_free0 (name);
#line 375 "../src/Views/Dock.vala"
				_g_object_unref0 (monitor);
#line 671 "Dock.c"
			}
		}
	}
#line 382 "../src/Views/Dock.vala"
	result = gdk_display_get_n_monitors (display);
#line 382 "../src/Views/Dock.vala"
	return result;
#line 679 "Dock.c"
}

PantheonShellDock*
pantheon_shell_dock_construct (GType object_type)
{
	PantheonShellDock * self = NULL;
#line 6 "../src/Views/Dock.vala"
	self = (PantheonShellDock*) g_object_new (object_type, NULL);
#line 6 "../src/Views/Dock.vala"
	return self;
#line 690 "Dock.c"
}

PantheonShellDock*
pantheon_shell_dock_new (void)
{
#line 6 "../src/Views/Dock.vala"
	return pantheon_shell_dock_construct (PANTHEON_SHELL_TYPE_DOCK);
#line 698 "Dock.c"
}

static Block3Data*
block3_data_ref (Block3Data* _data3_)
{
#line 14 "../src/Views/Dock.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 14 "../src/Views/Dock.vala"
	return _data3_;
#line 708 "Dock.c"
}

static void
block3_data_unref (void * _userdata_)
{
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 14 "../src/Views/Dock.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 718 "Dock.c"
		PantheonShellDock* self;
#line 14 "../src/Views/Dock.vala"
		self = _data3_->self;
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->pressure_grid);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->display_switch);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->auto_radio);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->window_dodge_radio);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->intelligent_radio);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->dodge_maximized_radio);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (_data3_->never_radio);
#line 14 "../src/Views/Dock.vala"
		_g_object_unref0 (self);
#line 14 "../src/Views/Dock.vala"
		g_slice_free (Block3Data, _data3_);
#line 740 "Dock.c"
	}
}

static void
_pantheon_shell_dock___lambda35_ (PantheonShellDock* self)
{
	PlankDockPreferences* _tmp0_;
#line 223 "../src/Views/Dock.vala"
	_tmp0_ = self->priv->dock_preferences;
#line 223 "../src/Views/Dock.vala"
	plank_dock_preferences_set_IconSize (_tmp0_, 32);
#line 752 "Dock.c"
}

static void
__pantheon_shell_dock___lambda35__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 222 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda35_ ((PantheonShellDock*) self);
#line 761 "Dock.c"
}

static void
_pantheon_shell_dock___lambda36_ (PantheonShellDock* self)
{
	PlankDockPreferences* _tmp0_;
#line 227 "../src/Views/Dock.vala"
	_tmp0_ = self->priv->dock_preferences;
#line 227 "../src/Views/Dock.vala"
	plank_dock_preferences_set_IconSize (_tmp0_, 48);
#line 772 "Dock.c"
}

static void
__pantheon_shell_dock___lambda36__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 226 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda36_ ((PantheonShellDock*) self);
#line 781 "Dock.c"
}

static void
_pantheon_shell_dock___lambda37_ (PantheonShellDock* self)
{
	PlankDockPreferences* _tmp0_;
#line 231 "../src/Views/Dock.vala"
	_tmp0_ = self->priv->dock_preferences;
#line 231 "../src/Views/Dock.vala"
	plank_dock_preferences_set_IconSize (_tmp0_, 64);
#line 792 "Dock.c"
}

static void
__pantheon_shell_dock___lambda37__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 230 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda37_ ((PantheonShellDock*) self);
#line 801 "Dock.c"
}

static void
_pantheon_shell_dock___lambda38_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	GtkGrid* _tmp0_;
	GtkRadioButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 253 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 254 "../src/Views/Dock.vala"
	_tmp0_ = _data3_->pressure_grid;
#line 254 "../src/Views/Dock.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, FALSE);
#line 255 "../src/Views/Dock.vala"
	_tmp1_ = _data3_->never_radio;
#line 255 "../src/Views/Dock.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 255 "../src/Views/Dock.vala"
	_tmp3_ = _tmp2_;
#line 255 "../src/Views/Dock.vala"
	if (_tmp3_) {
#line 826 "Dock.c"
		PlankDockPreferences* _tmp4_;
#line 256 "../src/Views/Dock.vala"
		_tmp4_ = self->priv->dock_preferences;
#line 256 "../src/Views/Dock.vala"
		plank_dock_preferences_set_HideMode (_tmp4_, PLANK_HIDE_TYPE_NONE);
#line 832 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda38__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 253 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda38_ (self);
#line 842 "Dock.c"
}

static void
_pantheon_shell_dock___lambda39_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	GtkGrid* _tmp0_;
	GtkRadioButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 260 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 261 "../src/Views/Dock.vala"
	_tmp0_ = _data3_->pressure_grid;
#line 261 "../src/Views/Dock.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, TRUE);
#line 262 "../src/Views/Dock.vala"
	_tmp1_ = _data3_->dodge_maximized_radio;
#line 262 "../src/Views/Dock.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 262 "../src/Views/Dock.vala"
	_tmp3_ = _tmp2_;
#line 262 "../src/Views/Dock.vala"
	if (_tmp3_) {
#line 867 "Dock.c"
		PlankDockPreferences* _tmp4_;
#line 263 "../src/Views/Dock.vala"
		_tmp4_ = self->priv->dock_preferences;
#line 263 "../src/Views/Dock.vala"
		plank_dock_preferences_set_HideMode (_tmp4_, PLANK_HIDE_TYPE_DODGE_MAXIMIZED);
#line 873 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda39__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 260 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda39_ (self);
#line 883 "Dock.c"
}

static void
_pantheon_shell_dock___lambda40_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	GtkGrid* _tmp0_;
	GtkRadioButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 267 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 268 "../src/Views/Dock.vala"
	_tmp0_ = _data3_->pressure_grid;
#line 268 "../src/Views/Dock.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, TRUE);
#line 269 "../src/Views/Dock.vala"
	_tmp1_ = _data3_->intelligent_radio;
#line 269 "../src/Views/Dock.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 269 "../src/Views/Dock.vala"
	_tmp3_ = _tmp2_;
#line 269 "../src/Views/Dock.vala"
	if (_tmp3_) {
#line 908 "Dock.c"
		PlankDockPreferences* _tmp4_;
#line 270 "../src/Views/Dock.vala"
		_tmp4_ = self->priv->dock_preferences;
#line 270 "../src/Views/Dock.vala"
		plank_dock_preferences_set_HideMode (_tmp4_, PLANK_HIDE_TYPE_INTELLIGENT);
#line 914 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda40__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 267 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda40_ (self);
#line 924 "Dock.c"
}

static void
_pantheon_shell_dock___lambda41_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	GtkGrid* _tmp0_;
	GtkRadioButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 274 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 275 "../src/Views/Dock.vala"
	_tmp0_ = _data3_->pressure_grid;
#line 275 "../src/Views/Dock.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, TRUE);
#line 276 "../src/Views/Dock.vala"
	_tmp1_ = _data3_->window_dodge_radio;
#line 276 "../src/Views/Dock.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 276 "../src/Views/Dock.vala"
	_tmp3_ = _tmp2_;
#line 276 "../src/Views/Dock.vala"
	if (_tmp3_) {
#line 949 "Dock.c"
		PlankDockPreferences* _tmp4_;
#line 277 "../src/Views/Dock.vala"
		_tmp4_ = self->priv->dock_preferences;
#line 277 "../src/Views/Dock.vala"
		plank_dock_preferences_set_HideMode (_tmp4_, PLANK_HIDE_TYPE_WINDOW_DODGE);
#line 955 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda41__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 274 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda41_ (self);
#line 965 "Dock.c"
}

static void
_pantheon_shell_dock___lambda42_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	GtkGrid* _tmp0_;
	GtkRadioButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 281 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 282 "../src/Views/Dock.vala"
	_tmp0_ = _data3_->pressure_grid;
#line 282 "../src/Views/Dock.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, TRUE);
#line 283 "../src/Views/Dock.vala"
	_tmp1_ = _data3_->auto_radio;
#line 283 "../src/Views/Dock.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 283 "../src/Views/Dock.vala"
	_tmp3_ = _tmp2_;
#line 283 "../src/Views/Dock.vala"
	if (_tmp3_) {
#line 990 "Dock.c"
		PlankDockPreferences* _tmp4_;
#line 284 "../src/Views/Dock.vala"
		_tmp4_ = self->priv->dock_preferences;
#line 284 "../src/Views/Dock.vala"
		plank_dock_preferences_set_HideMode (_tmp4_, PLANK_HIDE_TYPE_AUTO);
#line 996 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda42__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                             gpointer self)
{
#line 281 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda42_ (self);
#line 1006 "Dock.c"
}

static void
_pantheon_shell_dock___lambda43_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 288 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 289 "../src/Views/Dock.vala"
	_tmp0_ = _data3_->display_switch;
#line 289 "../src/Views/Dock.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 289 "../src/Views/Dock.vala"
	_tmp2_ = _tmp1_;
#line 289 "../src/Views/Dock.vala"
	if (_tmp2_ == TRUE) {
#line 1026 "Dock.c"
		PlankDockPreferences* _tmp3_;
#line 290 "../src/Views/Dock.vala"
		_tmp3_ = self->priv->dock_preferences;
#line 290 "../src/Views/Dock.vala"
		plank_dock_preferences_set_Monitor (_tmp3_, "");
#line 1032 "Dock.c"
	} else {
		gchar** plug_names = NULL;
		GdkDisplay* _tmp4_;
		gint _tmp5_ = 0;
		gchar** _tmp6_;
		gint plug_names_length1;
		gint _plug_names_size_;
		gchar** _tmp7_;
		gint _tmp7__length1;
		GtkComboBoxText* _tmp8_;
		gint _tmp9_;
		gint _tmp10_;
#line 292 "../src/Views/Dock.vala"
		_tmp4_ = gtk_widget_get_display ((GtkWidget*) self);
#line 292 "../src/Views/Dock.vala"
		_tmp6_ = pantheon_shell_dock_get_monitor_plug_names (_tmp4_, &_tmp5_);
#line 292 "../src/Views/Dock.vala"
		plug_names = _tmp6_;
#line 292 "../src/Views/Dock.vala"
		plug_names_length1 = _tmp5_;
#line 292 "../src/Views/Dock.vala"
		_plug_names_size_ = plug_names_length1;
#line 293 "../src/Views/Dock.vala"
		_tmp7_ = plug_names;
#line 293 "../src/Views/Dock.vala"
		_tmp7__length1 = plug_names_length1;
#line 293 "../src/Views/Dock.vala"
		_tmp8_ = self->priv->display_combo;
#line 293 "../src/Views/Dock.vala"
		_tmp9_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp8_);
#line 293 "../src/Views/Dock.vala"
		_tmp10_ = _tmp9_;
#line 293 "../src/Views/Dock.vala"
		if (_tmp7__length1 > _tmp10_) {
#line 1067 "Dock.c"
			PlankDockPreferences* _tmp11_;
			gchar** _tmp12_;
			gint _tmp12__length1;
			GtkComboBoxText* _tmp13_;
			gint _tmp14_;
			gint _tmp15_;
			const gchar* _tmp16_;
#line 294 "../src/Views/Dock.vala"
			_tmp11_ = self->priv->dock_preferences;
#line 294 "../src/Views/Dock.vala"
			_tmp12_ = plug_names;
#line 294 "../src/Views/Dock.vala"
			_tmp12__length1 = plug_names_length1;
#line 294 "../src/Views/Dock.vala"
			_tmp13_ = self->priv->display_combo;
#line 294 "../src/Views/Dock.vala"
			_tmp14_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp13_);
#line 294 "../src/Views/Dock.vala"
			_tmp15_ = _tmp14_;
#line 294 "../src/Views/Dock.vala"
			_tmp16_ = _tmp12_[_tmp15_];
#line 294 "../src/Views/Dock.vala"
			plank_dock_preferences_set_Monitor (_tmp11_, _tmp16_);
#line 1091 "Dock.c"
		}
#line 289 "../src/Views/Dock.vala"
		plug_names = (_vala_array_free (plug_names, plug_names_length1, (GDestroyNotify) g_free), NULL);
#line 1095 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda43__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self)
{
#line 288 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda43_ (self);
#line 1106 "Dock.c"
}

static void
_pantheon_shell_dock___lambda44_ (Block3Data* _data3_)
{
	PantheonShellDock* self;
	gboolean _tmp0_ = FALSE;
	GtkComboBoxText* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
#line 301 "../src/Views/Dock.vala"
	self = _data3_->self;
#line 302 "../src/Views/Dock.vala"
	_tmp1_ = self->priv->display_combo;
#line 302 "../src/Views/Dock.vala"
	_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 302 "../src/Views/Dock.vala"
	_tmp3_ = _tmp2_;
#line 302 "../src/Views/Dock.vala"
	if (_tmp3_ >= 0) {
#line 1127 "Dock.c"
		GtkSwitch* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 302 "../src/Views/Dock.vala"
		_tmp4_ = _data3_->display_switch;
#line 302 "../src/Views/Dock.vala"
		_tmp5_ = gtk_switch_get_active (_tmp4_);
#line 302 "../src/Views/Dock.vala"
		_tmp6_ = _tmp5_;
#line 302 "../src/Views/Dock.vala"
		_tmp0_ = _tmp6_ == FALSE;
#line 1139 "Dock.c"
	} else {
#line 302 "../src/Views/Dock.vala"
		_tmp0_ = FALSE;
#line 1143 "Dock.c"
	}
#line 302 "../src/Views/Dock.vala"
	if (_tmp0_) {
#line 1147 "Dock.c"
		gchar** plug_names = NULL;
		GdkDisplay* _tmp7_;
		gint _tmp8_ = 0;
		gchar** _tmp9_;
		gint plug_names_length1;
		gint _plug_names_size_;
		gchar** _tmp10_;
		gint _tmp10__length1;
		GtkComboBoxText* _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
#line 303 "../src/Views/Dock.vala"
		_tmp7_ = gtk_widget_get_display ((GtkWidget*) self);
#line 303 "../src/Views/Dock.vala"
		_tmp9_ = pantheon_shell_dock_get_monitor_plug_names (_tmp7_, &_tmp8_);
#line 303 "../src/Views/Dock.vala"
		plug_names = _tmp9_;
#line 303 "../src/Views/Dock.vala"
		plug_names_length1 = _tmp8_;
#line 303 "../src/Views/Dock.vala"
		_plug_names_size_ = plug_names_length1;
#line 304 "../src/Views/Dock.vala"
		_tmp10_ = plug_names;
#line 304 "../src/Views/Dock.vala"
		_tmp10__length1 = plug_names_length1;
#line 304 "../src/Views/Dock.vala"
		_tmp11_ = self->priv->display_combo;
#line 304 "../src/Views/Dock.vala"
		_tmp12_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp11_);
#line 304 "../src/Views/Dock.vala"
		_tmp13_ = _tmp12_;
#line 304 "../src/Views/Dock.vala"
		if (_tmp10__length1 > _tmp13_) {
#line 1181 "Dock.c"
			PlankDockPreferences* _tmp14_;
			gchar** _tmp15_;
			gint _tmp15__length1;
			GtkComboBoxText* _tmp16_;
			gint _tmp17_;
			gint _tmp18_;
			const gchar* _tmp19_;
#line 305 "../src/Views/Dock.vala"
			_tmp14_ = self->priv->dock_preferences;
#line 305 "../src/Views/Dock.vala"
			_tmp15_ = plug_names;
#line 305 "../src/Views/Dock.vala"
			_tmp15__length1 = plug_names_length1;
#line 305 "../src/Views/Dock.vala"
			_tmp16_ = self->priv->display_combo;
#line 305 "../src/Views/Dock.vala"
			_tmp17_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp16_);
#line 305 "../src/Views/Dock.vala"
			_tmp18_ = _tmp17_;
#line 305 "../src/Views/Dock.vala"
			_tmp19_ = _tmp15_[_tmp18_];
#line 305 "../src/Views/Dock.vala"
			plank_dock_preferences_set_Monitor (_tmp14_, _tmp19_);
#line 1205 "Dock.c"
		}
#line 302 "../src/Views/Dock.vala"
		plug_names = (_vala_array_free (plug_names, plug_names_length1, (GDestroyNotify) g_free), NULL);
#line 1209 "Dock.c"
	}
}

static void
__pantheon_shell_dock___lambda44__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self)
{
#line 301 "../src/Views/Dock.vala"
	_pantheon_shell_dock___lambda44_ (self);
#line 1220 "Dock.c"
}

static void
_pantheon_shell_dock_check_for_screens_gdk_screen_monitors_changed (GdkScreen* _sender,
                                                                    gpointer self)
{
#line 309 "../src/Views/Dock.vala"
	pantheon_shell_dock_check_for_screens ((PantheonShellDock*) self);
#line 1229 "Dock.c"
}

static GObject *
pantheon_shell_dock_constructor (GType type,
                                 guint n_construct_properties,
                                 GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	PantheonShellDock * self;
	Block3Data* _data3_;
	GraniteHeaderLabel* icon_header = NULL;
	GraniteHeaderLabel* _tmp0_;
	GtkRadioButton* icon_size_32 = NULL;
	GtkImage* _tmp1_;
	gchar* _tmp2_;
	GtkRadioButton* _tmp3_ = NULL;
	GtkRadioButton* icon_size_48 = NULL;
	GtkRadioButton* _tmp4_;
	GtkImage* _tmp5_;
	gchar* _tmp6_;
	GtkRadioButton* _tmp7_ = NULL;
	GtkImage* image_64 = NULL;
	gchar* _tmp8_;
	GtkImage* _tmp9_ = NULL;
	GtkRadioButton* icon_size_64 = NULL;
	GtkRadioButton* _tmp10_;
	GtkImage* _tmp11_;
	GtkWidget* _tmp12_;
	gchar* _tmp13_;
	GtkRadioButton* _tmp14_ = NULL;
	GtkRadioButton* icon_size_unsupported = NULL;
	GtkRadioButton* _tmp15_;
	GtkRadioButton* _tmp16_;
	GtkBox* icon_size_box = NULL;
	GtkBox* _tmp17_;
	GtkBox* _tmp18_;
	GtkRadioButton* _tmp19_;
	GtkBox* _tmp20_;
	GtkRadioButton* _tmp21_;
	GtkBox* _tmp22_;
	GtkRadioButton* _tmp23_;
	GtkBox* icon_box = NULL;
	GtkBox* _tmp24_;
	GtkBox* _tmp25_;
	GraniteHeaderLabel* _tmp26_;
	GtkBox* _tmp27_;
	GtkBox* _tmp28_;
	GraniteHeaderLabel* hide_header = NULL;
	GraniteHeaderLabel* _tmp29_;
	GtkRadioButton* _tmp30_;
	GtkRadioButton* _tmp31_;
	GtkRadioButton* _tmp32_;
	GtkRadioButton* _tmp33_;
	GtkRadioButton* _tmp34_;
	GtkRadioButton* _tmp35_;
	GtkRadioButton* _tmp36_;
	GtkRadioButton* _tmp37_;
	GtkRadioButton* _tmp38_;
	GtkBox* hide_radio_box = NULL;
	GtkBox* _tmp39_;
	GtkBox* _tmp40_;
	GtkRadioButton* _tmp41_;
	GtkBox* _tmp42_;
	GtkRadioButton* _tmp43_;
	GtkBox* _tmp44_;
	GtkRadioButton* _tmp45_;
	GtkBox* _tmp46_;
	GtkRadioButton* _tmp47_;
	GtkBox* _tmp48_;
	GtkRadioButton* _tmp49_;
	GtkBox* hide_box = NULL;
	GtkBox* _tmp50_;
	GtkBox* _tmp51_;
	GraniteHeaderLabel* _tmp52_;
	GtkBox* _tmp53_;
	GtkBox* _tmp54_;
	GtkComboBoxText* _tmp55_ = NULL;
	GraniteHeaderLabel* display_header = NULL;
	GraniteHeaderLabel* _tmp56_;
	GtkSwitch* _tmp57_ = NULL;
	GtkGrid* _tmp58_ = NULL;
	GtkGrid* _tmp59_;
	GraniteHeaderLabel* _tmp60_;
	GtkGrid* _tmp61_;
	GtkComboBoxText* _tmp62_;
	GtkGrid* _tmp63_;
	GtkSwitch* _tmp64_;
	GraniteHeaderLabel* pressure_header = NULL;
	GraniteHeaderLabel* _tmp65_;
	GtkLabel* pressure_subtitle = NULL;
	GtkLabel* _tmp66_ = NULL;
	GtkLabel* _tmp67_;
	GtkStyleContext* _tmp68_;
	GtkSwitch* pressure_switch = NULL;
	GtkSwitch* _tmp69_ = NULL;
	GtkGrid* _tmp70_ = NULL;
	GtkGrid* _tmp71_;
	GraniteHeaderLabel* _tmp72_;
	GtkGrid* _tmp73_;
	GtkLabel* _tmp74_;
	GtkGrid* _tmp75_;
	GtkSwitch* _tmp76_;
	GraniteHeaderLabel* translucency_header = NULL;
	GraniteHeaderLabel* _tmp77_;
	GtkLabel* translucency_subtitle = NULL;
	GtkLabel* _tmp78_ = NULL;
	GtkLabel* _tmp79_;
	GtkStyleContext* _tmp80_;
	GtkSwitch* translucency_switch = NULL;
	GtkSwitch* _tmp81_ = NULL;
	GtkGrid* translucency_grid = NULL;
	GtkGrid* _tmp82_ = NULL;
	GtkGrid* _tmp83_;
	GraniteHeaderLabel* _tmp84_;
	GtkGrid* _tmp85_;
	GtkLabel* _tmp86_;
	GtkGrid* _tmp87_;
	GtkSwitch* _tmp88_;
	GraniteHeaderLabel* indicators_header = NULL;
	GraniteHeaderLabel* _tmp89_;
	GtkBox* indicators_box = NULL;
	GtkBox* _tmp90_;
	GtkBox* _tmp91_;
	GraniteHeaderLabel* _tmp92_;
	GSettingsSchema* a11y_schema = NULL;
	GSettingsSchemaSource* _tmp93_;
	GSettingsSchema* _tmp94_;
	gboolean _tmp95_ = FALSE;
	GSettingsSchema* _tmp96_;
	GSettingsSchema* keyboard_schema = NULL;
	GSettingsSchemaSource* _tmp104_;
	GSettingsSchema* _tmp105_;
	gboolean _tmp106_ = FALSE;
	GSettingsSchema* _tmp107_;
	GtkBox* box = NULL;
	GtkBox* _tmp120_ = NULL;
	GtkBox* _tmp121_;
	GtkBox* _tmp122_;
	GtkBox* _tmp123_;
	GtkBox* _tmp124_;
	GtkBox* _tmp125_;
	GtkGrid* _tmp126_;
	GtkBox* _tmp127_;
	GtkGrid* _tmp128_;
	GtkBox* _tmp129_;
	GtkGrid* _tmp130_;
	GtkBox* _tmp131_;
	GList* _tmp132_;
	GList* _tmp133_;
	gboolean _tmp134_;
	HdyClamp* clamp = NULL;
	GtkBox* _tmp137_;
	GtkWidget* _tmp138_;
	HdyClamp* _tmp139_ = NULL;
	GtkScrolledWindow* scrolled = NULL;
	HdyClamp* _tmp140_;
	GtkWidget* _tmp141_;
	GtkScrolledWindow* _tmp142_ = NULL;
	GtkScrolledWindow* _tmp143_;
	PlankDockPreferences* _tmp144_;
	PlankDockPreferences* _tmp145_;
	GtkSwitch* _tmp146_;
	PlankDockPreferences* _tmp147_;
	gint _tmp148_;
	gint _tmp149_;
	GtkRadioButton* _tmp154_;
	GtkRadioButton* _tmp155_;
	GtkRadioButton* _tmp156_;
	GtkGrid* _tmp157_;
	PlankDockPreferences* _tmp158_;
	PlankHideType _tmp159_;
	PlankHideType _tmp160_;
	PlankDockPreferences* _tmp161_;
	PlankHideType _tmp162_;
	PlankHideType _tmp163_;
	GtkRadioButton* _tmp169_;
	GtkRadioButton* _tmp170_;
	GtkRadioButton* _tmp171_;
	GtkRadioButton* _tmp172_;
	GtkRadioButton* _tmp173_;
	GtkSwitch* _tmp174_;
	GtkSwitch* _tmp175_;
	PlankDockPreferences* _tmp176_;
	const gchar* _tmp177_;
	const gchar* _tmp178_;
	GtkSwitch* _tmp179_;
	GtkComboBoxText* _tmp180_;
	GtkComboBoxText* _tmp181_;
	GdkScreen* _tmp182_;
	GSettings* panel_settings = NULL;
	GSettings* _tmp183_;
	GSettings* _tmp184_;
	GtkSwitch* _tmp185_;
#line 14 "../src/Views/Dock.vala"
	parent_class = G_OBJECT_CLASS (pantheon_shell_dock_parent_class);
#line 14 "../src/Views/Dock.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 14 "../src/Views/Dock.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PANTHEON_SHELL_TYPE_DOCK, PantheonShellDock);
#line 14 "../src/Views/Dock.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 14 "../src/Views/Dock.vala"
	_data3_->_ref_count_ = 1;
#line 14 "../src/Views/Dock.vala"
	_data3_->self = g_object_ref (self);
#line 15 "../src/Views/Dock.vala"
	_tmp0_ = granite_header_label_new (_ ("Dock Icon Size"));
#line 15 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp0_);
#line 15 "../src/Views/Dock.vala"
	icon_header = _tmp0_;
#line 17 "../src/Views/Dock.vala"
	_tmp1_ = (GtkImage*) gtk_image_new_from_icon_name ("dock-icon-symbolic", (GtkIconSize) GTK_ICON_SIZE_DND);
#line 17 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp1_);
#line 17 "../src/Views/Dock.vala"
	_tmp2_ = g_strdup (_ ("Small"));
#line 17 "../src/Views/Dock.vala"
	_tmp3_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 17 "../src/Views/Dock.vala"
	gtk_button_set_image ((GtkButton*) _tmp3_, (GtkWidget*) _tmp1_);
#line 17 "../src/Views/Dock.vala"
	_g_object_unref0 (_tmp1_);
#line 17 "../src/Views/Dock.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp3_, _tmp2_);
#line 17 "../src/Views/Dock.vala"
	_g_free0 (_tmp2_);
#line 17 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp3_);
#line 17 "../src/Views/Dock.vala"
	icon_size_32 = _tmp3_;
#line 22 "../src/Views/Dock.vala"
	_tmp4_ = icon_size_32;
#line 22 "../src/Views/Dock.vala"
	_tmp5_ = (GtkImage*) gtk_image_new_from_icon_name ("dock-icon-symbolic", (GtkIconSize) GTK_ICON_SIZE_DIALOG);
#line 22 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp5_);
#line 22 "../src/Views/Dock.vala"
	_tmp6_ = g_strdup (_ ("Default"));
#line 22 "../src/Views/Dock.vala"
	_tmp7_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp4_);
#line 22 "../src/Views/Dock.vala"
	gtk_button_set_image ((GtkButton*) _tmp7_, (GtkWidget*) _tmp5_);
#line 22 "../src/Views/Dock.vala"
	_g_object_unref0 (_tmp5_);
#line 22 "../src/Views/Dock.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp7_, _tmp6_);
#line 22 "../src/Views/Dock.vala"
	_g_free0 (_tmp6_);
#line 22 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp7_);
#line 22 "../src/Views/Dock.vala"
	icon_size_48 = _tmp7_;
#line 27 "../src/Views/Dock.vala"
	_tmp8_ = g_strdup ("dock-icon-symbolic");
#line 27 "../src/Views/Dock.vala"
	_tmp9_ = (GtkImage*) gtk_image_new ();
#line 27 "../src/Views/Dock.vala"
	g_object_set (_tmp9_, "icon-name", _tmp8_, NULL);
#line 27 "../src/Views/Dock.vala"
	_g_free0 (_tmp8_);
#line 27 "../src/Views/Dock.vala"
	gtk_image_set_pixel_size (_tmp9_, 64);
#line 27 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp9_);
#line 27 "../src/Views/Dock.vala"
	image_64 = _tmp9_;
#line 32 "../src/Views/Dock.vala"
	_tmp10_ = icon_size_32;
#line 32 "../src/Views/Dock.vala"
	_tmp11_ = image_64;
#line 32 "../src/Views/Dock.vala"
	_tmp12_ = _g_object_ref0 ((GtkWidget*) _tmp11_);
#line 32 "../src/Views/Dock.vala"
	_tmp13_ = g_strdup (_ ("Large"));
#line 32 "../src/Views/Dock.vala"
	_tmp14_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp10_);
#line 32 "../src/Views/Dock.vala"
	gtk_button_set_image ((GtkButton*) _tmp14_, _tmp12_);
#line 32 "../src/Views/Dock.vala"
	_g_object_unref0 (_tmp12_);
#line 32 "../src/Views/Dock.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp14_, _tmp13_);
#line 32 "../src/Views/Dock.vala"
	_g_free0 (_tmp13_);
#line 32 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp14_);
#line 32 "../src/Views/Dock.vala"
	icon_size_64 = _tmp14_;
#line 37 "../src/Views/Dock.vala"
	_tmp15_ = icon_size_32;
#line 37 "../src/Views/Dock.vala"
	_tmp16_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp15_);
#line 37 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp16_);
#line 37 "../src/Views/Dock.vala"
	icon_size_unsupported = _tmp16_;
#line 39 "../src/Views/Dock.vala"
	_tmp17_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 24);
#line 39 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp17_);
#line 39 "../src/Views/Dock.vala"
	icon_size_box = _tmp17_;
#line 40 "../src/Views/Dock.vala"
	_tmp18_ = icon_size_box;
#line 40 "../src/Views/Dock.vala"
	_tmp19_ = icon_size_32;
#line 40 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp18_, (GtkWidget*) _tmp19_);
#line 41 "../src/Views/Dock.vala"
	_tmp20_ = icon_size_box;
#line 41 "../src/Views/Dock.vala"
	_tmp21_ = icon_size_48;
#line 41 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp20_, (GtkWidget*) _tmp21_);
#line 42 "../src/Views/Dock.vala"
	_tmp22_ = icon_size_box;
#line 42 "../src/Views/Dock.vala"
	_tmp23_ = icon_size_64;
#line 42 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp22_, (GtkWidget*) _tmp23_);
#line 44 "../src/Views/Dock.vala"
	_tmp24_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 44 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp24_);
#line 44 "../src/Views/Dock.vala"
	icon_box = _tmp24_;
#line 45 "../src/Views/Dock.vala"
	_tmp25_ = icon_box;
#line 45 "../src/Views/Dock.vala"
	_tmp26_ = icon_header;
#line 45 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp25_, (GtkWidget*) _tmp26_);
#line 46 "../src/Views/Dock.vala"
	_tmp27_ = icon_box;
#line 46 "../src/Views/Dock.vala"
	_tmp28_ = icon_size_box;
#line 46 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp27_, (GtkWidget*) _tmp28_);
#line 48 "../src/Views/Dock.vala"
	_tmp29_ = granite_header_label_new (_ ("Hide Dock"));
#line 48 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp29_);
#line 48 "../src/Views/Dock.vala"
	hide_header = _tmp29_;
#line 50 "../src/Views/Dock.vala"
	_tmp30_ = (GtkRadioButton*) gtk_radio_button_new_with_label (NULL, _ ("Never"));
#line 50 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp30_);
#line 50 "../src/Views/Dock.vala"
	_data3_->never_radio = _tmp30_;
#line 55 "../src/Views/Dock.vala"
	_tmp31_ = _data3_->never_radio;
#line 55 "../src/Views/Dock.vala"
	_tmp32_ = (GtkRadioButton*) gtk_radio_button_new_with_label_from_widget (_tmp31_, _ ("When the focused window is maximized"));
#line 55 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp32_);
#line 55 "../src/Views/Dock.vala"
	_data3_->dodge_maximized_radio = _tmp32_;
#line 60 "../src/Views/Dock.vala"
	_tmp33_ = _data3_->never_radio;
#line 60 "../src/Views/Dock.vala"
	_tmp34_ = (GtkRadioButton*) gtk_radio_button_new_with_label_from_widget (_tmp33_, _ ("When the focused window overlaps the dock"));
#line 60 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp34_);
#line 60 "../src/Views/Dock.vala"
	_data3_->intelligent_radio = _tmp34_;
#line 65 "../src/Views/Dock.vala"
	_tmp35_ = _data3_->never_radio;
#line 65 "../src/Views/Dock.vala"
	_tmp36_ = (GtkRadioButton*) gtk_radio_button_new_with_label_from_widget (_tmp35_, _ ("When any window overlaps the dock"));
#line 65 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp36_);
#line 65 "../src/Views/Dock.vala"
	_data3_->window_dodge_radio = _tmp36_;
#line 70 "../src/Views/Dock.vala"
	_tmp37_ = _data3_->never_radio;
#line 70 "../src/Views/Dock.vala"
	_tmp38_ = (GtkRadioButton*) gtk_radio_button_new_with_label_from_widget (_tmp37_, _ ("When not being used"));
#line 70 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp38_);
#line 70 "../src/Views/Dock.vala"
	_data3_->auto_radio = _tmp38_;
#line 75 "../src/Views/Dock.vala"
	_tmp39_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 75 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp39_);
#line 75 "../src/Views/Dock.vala"
	hide_radio_box = _tmp39_;
#line 76 "../src/Views/Dock.vala"
	_tmp40_ = hide_radio_box;
#line 76 "../src/Views/Dock.vala"
	_tmp41_ = _data3_->never_radio;
#line 76 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp40_, (GtkWidget*) _tmp41_);
#line 77 "../src/Views/Dock.vala"
	_tmp42_ = hide_radio_box;
#line 77 "../src/Views/Dock.vala"
	_tmp43_ = _data3_->dodge_maximized_radio;
#line 77 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp42_, (GtkWidget*) _tmp43_);
#line 78 "../src/Views/Dock.vala"
	_tmp44_ = hide_radio_box;
#line 78 "../src/Views/Dock.vala"
	_tmp45_ = _data3_->intelligent_radio;
#line 78 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp44_, (GtkWidget*) _tmp45_);
#line 79 "../src/Views/Dock.vala"
	_tmp46_ = hide_radio_box;
#line 79 "../src/Views/Dock.vala"
	_tmp47_ = _data3_->window_dodge_radio;
#line 79 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp46_, (GtkWidget*) _tmp47_);
#line 80 "../src/Views/Dock.vala"
	_tmp48_ = hide_radio_box;
#line 80 "../src/Views/Dock.vala"
	_tmp49_ = _data3_->auto_radio;
#line 80 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp48_, (GtkWidget*) _tmp49_);
#line 82 "../src/Views/Dock.vala"
	_tmp50_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 82 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp50_);
#line 82 "../src/Views/Dock.vala"
	hide_box = _tmp50_;
#line 83 "../src/Views/Dock.vala"
	_tmp51_ = hide_box;
#line 83 "../src/Views/Dock.vala"
	_tmp52_ = hide_header;
#line 83 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp51_, (GtkWidget*) _tmp52_);
#line 84 "../src/Views/Dock.vala"
	_tmp53_ = hide_box;
#line 84 "../src/Views/Dock.vala"
	_tmp54_ = hide_radio_box;
#line 84 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp53_, (GtkWidget*) _tmp54_);
#line 86 "../src/Views/Dock.vala"
	_tmp55_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 86 "../src/Views/Dock.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp55_, TRUE);
#line 86 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp55_);
#line 86 "../src/Views/Dock.vala"
	_g_object_unref0 (self->priv->display_combo);
#line 86 "../src/Views/Dock.vala"
	self->priv->display_combo = _tmp55_;
#line 90 "../src/Views/Dock.vala"
	_tmp56_ = granite_header_label_new (_ ("Dock on Primary Display"));
#line 90 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp56_);
#line 90 "../src/Views/Dock.vala"
	display_header = _tmp56_;
#line 92 "../src/Views/Dock.vala"
	_tmp57_ = (GtkSwitch*) gtk_switch_new ();
#line 92 "../src/Views/Dock.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp57_, GTK_ALIGN_CENTER);
#line 92 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp57_);
#line 92 "../src/Views/Dock.vala"
	_data3_->display_switch = _tmp57_;
#line 96 "../src/Views/Dock.vala"
	_tmp58_ = (GtkGrid*) gtk_grid_new ();
#line 96 "../src/Views/Dock.vala"
	gtk_grid_set_column_spacing (_tmp58_, 12);
#line 96 "../src/Views/Dock.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp58_, TRUE);
#line 96 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp58_);
#line 96 "../src/Views/Dock.vala"
	_g_object_unref0 (self->priv->display_grid);
#line 96 "../src/Views/Dock.vala"
	self->priv->display_grid = _tmp58_;
#line 100 "../src/Views/Dock.vala"
	_tmp59_ = self->priv->display_grid;
#line 100 "../src/Views/Dock.vala"
	_tmp60_ = display_header;
#line 100 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp59_, (GtkWidget*) _tmp60_, 0, 0, 1, 1);
#line 101 "../src/Views/Dock.vala"
	_tmp61_ = self->priv->display_grid;
#line 101 "../src/Views/Dock.vala"
	_tmp62_ = self->priv->display_combo;
#line 101 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp61_, (GtkWidget*) _tmp62_, 0, 1, 1, 1);
#line 102 "../src/Views/Dock.vala"
	_tmp63_ = self->priv->display_grid;
#line 102 "../src/Views/Dock.vala"
	_tmp64_ = _data3_->display_switch;
#line 102 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp63_, (GtkWidget*) _tmp64_, 1, 0, 1, 2);
#line 104 "../src/Views/Dock.vala"
	_tmp65_ = granite_header_label_new (_ ("Dock Pressure Reveal"));
#line 104 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp65_);
#line 104 "../src/Views/Dock.vala"
	pressure_header = _tmp65_;
#line 106 "../src/Views/Dock.vala"
	_tmp66_ = (GtkLabel*) gtk_label_new (_ ("Prevent accidental reveals by moving the pointer past the display edge" \
". Only works with some devices."));
#line 106 "../src/Views/Dock.vala"
	g_object_set (_tmp66_, "wrap", TRUE, NULL);
#line 106 "../src/Views/Dock.vala"
	gtk_label_set_xalign (_tmp66_, (gfloat) 0);
#line 106 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp66_);
#line 106 "../src/Views/Dock.vala"
	pressure_subtitle = _tmp66_;
#line 110 "../src/Views/Dock.vala"
	_tmp67_ = pressure_subtitle;
#line 110 "../src/Views/Dock.vala"
	_tmp68_ = gtk_widget_get_style_context ((GtkWidget*) _tmp67_);
#line 110 "../src/Views/Dock.vala"
	gtk_style_context_add_class (_tmp68_, GTK_STYLE_CLASS_DIM_LABEL);
#line 112 "../src/Views/Dock.vala"
	_tmp69_ = (GtkSwitch*) gtk_switch_new ();
#line 112 "../src/Views/Dock.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp69_, GTK_ALIGN_END);
#line 112 "../src/Views/Dock.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp69_, TRUE);
#line 112 "../src/Views/Dock.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp69_, GTK_ALIGN_CENTER);
#line 112 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp69_);
#line 112 "../src/Views/Dock.vala"
	pressure_switch = _tmp69_;
#line 118 "../src/Views/Dock.vala"
	_tmp70_ = (GtkGrid*) gtk_grid_new ();
#line 118 "../src/Views/Dock.vala"
	gtk_grid_set_column_spacing (_tmp70_, 12);
#line 118 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp70_);
#line 118 "../src/Views/Dock.vala"
	_data3_->pressure_grid = _tmp70_;
#line 121 "../src/Views/Dock.vala"
	_tmp71_ = _data3_->pressure_grid;
#line 121 "../src/Views/Dock.vala"
	_tmp72_ = pressure_header;
#line 121 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp71_, (GtkWidget*) _tmp72_, 0, 0, 1, 1);
#line 122 "../src/Views/Dock.vala"
	_tmp73_ = _data3_->pressure_grid;
#line 122 "../src/Views/Dock.vala"
	_tmp74_ = pressure_subtitle;
#line 122 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp73_, (GtkWidget*) _tmp74_, 0, 1, 1, 1);
#line 123 "../src/Views/Dock.vala"
	_tmp75_ = _data3_->pressure_grid;
#line 123 "../src/Views/Dock.vala"
	_tmp76_ = pressure_switch;
#line 123 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp75_, (GtkWidget*) _tmp76_, 1, 0, 1, 2);
#line 125 "../src/Views/Dock.vala"
	_tmp77_ = granite_header_label_new (_ ("Panel Translucency"));
#line 125 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp77_);
#line 125 "../src/Views/Dock.vala"
	translucency_header = _tmp77_;
#line 127 "../src/Views/Dock.vala"
	_tmp78_ = (GtkLabel*) gtk_label_new (_ ("Automatically transparent or opaque based on the wallpaper"));
#line 127 "../src/Views/Dock.vala"
	g_object_set (_tmp78_, "wrap", TRUE, NULL);
#line 127 "../src/Views/Dock.vala"
	gtk_label_set_xalign (_tmp78_, (gfloat) 0);
#line 127 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp78_);
#line 127 "../src/Views/Dock.vala"
	translucency_subtitle = _tmp78_;
#line 131 "../src/Views/Dock.vala"
	_tmp79_ = translucency_subtitle;
#line 131 "../src/Views/Dock.vala"
	_tmp80_ = gtk_widget_get_style_context ((GtkWidget*) _tmp79_);
#line 131 "../src/Views/Dock.vala"
	gtk_style_context_add_class (_tmp80_, GTK_STYLE_CLASS_DIM_LABEL);
#line 133 "../src/Views/Dock.vala"
	_tmp81_ = (GtkSwitch*) gtk_switch_new ();
#line 133 "../src/Views/Dock.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp81_, GTK_ALIGN_END);
#line 133 "../src/Views/Dock.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp81_, TRUE);
#line 133 "../src/Views/Dock.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp81_, GTK_ALIGN_CENTER);
#line 133 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp81_);
#line 133 "../src/Views/Dock.vala"
	translucency_switch = _tmp81_;
#line 139 "../src/Views/Dock.vala"
	_tmp82_ = (GtkGrid*) gtk_grid_new ();
#line 139 "../src/Views/Dock.vala"
	gtk_grid_set_column_spacing (_tmp82_, 12);
#line 139 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp82_);
#line 139 "../src/Views/Dock.vala"
	translucency_grid = _tmp82_;
#line 142 "../src/Views/Dock.vala"
	_tmp83_ = translucency_grid;
#line 142 "../src/Views/Dock.vala"
	_tmp84_ = translucency_header;
#line 142 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp83_, (GtkWidget*) _tmp84_, 0, 0, 1, 1);
#line 143 "../src/Views/Dock.vala"
	_tmp85_ = translucency_grid;
#line 143 "../src/Views/Dock.vala"
	_tmp86_ = translucency_subtitle;
#line 143 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp85_, (GtkWidget*) _tmp86_, 0, 1, 1, 1);
#line 144 "../src/Views/Dock.vala"
	_tmp87_ = translucency_grid;
#line 144 "../src/Views/Dock.vala"
	_tmp88_ = translucency_switch;
#line 144 "../src/Views/Dock.vala"
	gtk_grid_attach (_tmp87_, (GtkWidget*) _tmp88_, 1, 0, 1, 2);
#line 146 "../src/Views/Dock.vala"
	_tmp89_ = granite_header_label_new (_ ("Show in Panel"));
#line 146 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp89_);
#line 146 "../src/Views/Dock.vala"
	indicators_header = _tmp89_;
#line 148 "../src/Views/Dock.vala"
	_tmp90_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 148 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp90_);
#line 148 "../src/Views/Dock.vala"
	indicators_box = _tmp90_;
#line 149 "../src/Views/Dock.vala"
	_tmp91_ = indicators_box;
#line 149 "../src/Views/Dock.vala"
	_tmp92_ = indicators_header;
#line 149 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp91_, (GtkWidget*) _tmp92_);
#line 151 "../src/Views/Dock.vala"
	_tmp93_ = g_settings_schema_source_get_default ();
#line 151 "../src/Views/Dock.vala"
	_tmp94_ = g_settings_schema_source_lookup (_tmp93_, "io.elementary.desktop.wingpanel.a11y", TRUE);
#line 151 "../src/Views/Dock.vala"
	a11y_schema = _tmp94_;
#line 152 "../src/Views/Dock.vala"
	_tmp96_ = a11y_schema;
#line 152 "../src/Views/Dock.vala"
	if (_tmp96_ != NULL) {
#line 1870 "Dock.c"
		GSettingsSchema* _tmp97_;
#line 152 "../src/Views/Dock.vala"
		_tmp97_ = a11y_schema;
#line 152 "../src/Views/Dock.vala"
		_tmp95_ = g_settings_schema_has_key (_tmp97_, "show-indicator");
#line 1876 "Dock.c"
	} else {
#line 152 "../src/Views/Dock.vala"
		_tmp95_ = FALSE;
#line 1880 "Dock.c"
	}
#line 152 "../src/Views/Dock.vala"
	if (_tmp95_) {
#line 1884 "Dock.c"
		GtkCheckButton* a11y_check = NULL;
		GtkCheckButton* _tmp98_;
		GtkBox* _tmp99_;
		GtkCheckButton* _tmp100_;
		GSettings* a11y_settings = NULL;
		GSettings* _tmp101_;
		GSettings* _tmp102_;
		GtkCheckButton* _tmp103_;
#line 153 "../src/Views/Dock.vala"
		_tmp98_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Accessibility"));
#line 153 "../src/Views/Dock.vala"
		g_object_ref_sink (_tmp98_);
#line 153 "../src/Views/Dock.vala"
		a11y_check = _tmp98_;
#line 155 "../src/Views/Dock.vala"
		_tmp99_ = indicators_box;
#line 155 "../src/Views/Dock.vala"
		_tmp100_ = a11y_check;
#line 155 "../src/Views/Dock.vala"
		gtk_container_add ((GtkContainer*) _tmp99_, (GtkWidget*) _tmp100_);
#line 157 "../src/Views/Dock.vala"
		_tmp101_ = g_settings_new ("io.elementary.desktop.wingpanel.a11y");
#line 157 "../src/Views/Dock.vala"
		a11y_settings = _tmp101_;
#line 158 "../src/Views/Dock.vala"
		_tmp102_ = a11y_settings;
#line 158 "../src/Views/Dock.vala"
		_tmp103_ = a11y_check;
#line 158 "../src/Views/Dock.vala"
		g_settings_bind (_tmp102_, "show-indicator", (GObject*) _tmp103_, "active", G_SETTINGS_BIND_DEFAULT);
#line 152 "../src/Views/Dock.vala"
		_g_object_unref0 (a11y_settings);
#line 152 "../src/Views/Dock.vala"
		_g_object_unref0 (a11y_check);
#line 1919 "Dock.c"
	}
#line 161 "../src/Views/Dock.vala"
	_tmp104_ = g_settings_schema_source_get_default ();
#line 161 "../src/Views/Dock.vala"
	_tmp105_ = g_settings_schema_source_lookup (_tmp104_, "io.elementary.wingpanel.keyboard", TRUE);
#line 161 "../src/Views/Dock.vala"
	keyboard_schema = _tmp105_;
#line 162 "../src/Views/Dock.vala"
	_tmp107_ = keyboard_schema;
#line 162 "../src/Views/Dock.vala"
	if (_tmp107_ != NULL) {
#line 1931 "Dock.c"
		GSettingsSchema* _tmp108_;
#line 162 "../src/Views/Dock.vala"
		_tmp108_ = keyboard_schema;
#line 162 "../src/Views/Dock.vala"
		_tmp106_ = g_settings_schema_has_key (_tmp108_, "capslock");
#line 1937 "Dock.c"
	} else {
#line 162 "../src/Views/Dock.vala"
		_tmp106_ = FALSE;
#line 1941 "Dock.c"
	}
#line 162 "../src/Views/Dock.vala"
	if (_tmp106_) {
#line 1945 "Dock.c"
		GtkCheckButton* caps_check = NULL;
		GtkCheckButton* _tmp109_;
		GtkCheckButton* num_check = NULL;
		GtkCheckButton* _tmp110_;
		GtkBox* _tmp111_;
		GtkCheckButton* _tmp112_;
		GtkBox* _tmp113_;
		GtkCheckButton* _tmp114_;
		GSettings* keyboard_settings = NULL;
		GSettings* _tmp115_;
		GSettings* _tmp116_;
		GtkCheckButton* _tmp117_;
		GSettings* _tmp118_;
		GtkCheckButton* _tmp119_;
#line 163 "../src/Views/Dock.vala"
		_tmp109_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Caps Lock ⇪"));
#line 163 "../src/Views/Dock.vala"
		g_object_ref_sink (_tmp109_);
#line 163 "../src/Views/Dock.vala"
		caps_check = _tmp109_;
#line 164 "../src/Views/Dock.vala"
		_tmp110_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Num Lock"));
#line 164 "../src/Views/Dock.vala"
		g_object_ref_sink (_tmp110_);
#line 164 "../src/Views/Dock.vala"
		num_check = _tmp110_;
#line 166 "../src/Views/Dock.vala"
		_tmp111_ = indicators_box;
#line 166 "../src/Views/Dock.vala"
		_tmp112_ = caps_check;
#line 166 "../src/Views/Dock.vala"
		gtk_container_add ((GtkContainer*) _tmp111_, (GtkWidget*) _tmp112_);
#line 167 "../src/Views/Dock.vala"
		_tmp113_ = indicators_box;
#line 167 "../src/Views/Dock.vala"
		_tmp114_ = num_check;
#line 167 "../src/Views/Dock.vala"
		gtk_container_add ((GtkContainer*) _tmp113_, (GtkWidget*) _tmp114_);
#line 169 "../src/Views/Dock.vala"
		_tmp115_ = g_settings_new ("io.elementary.wingpanel.keyboard");
#line 169 "../src/Views/Dock.vala"
		keyboard_settings = _tmp115_;
#line 170 "../src/Views/Dock.vala"
		_tmp116_ = keyboard_settings;
#line 170 "../src/Views/Dock.vala"
		_tmp117_ = caps_check;
#line 170 "../src/Views/Dock.vala"
		g_settings_bind (_tmp116_, "capslock", (GObject*) _tmp117_, "active", G_SETTINGS_BIND_DEFAULT);
#line 171 "../src/Views/Dock.vala"
		_tmp118_ = keyboard_settings;
#line 171 "../src/Views/Dock.vala"
		_tmp119_ = num_check;
#line 171 "../src/Views/Dock.vala"
		g_settings_bind (_tmp118_, "numlock", (GObject*) _tmp119_, "active", G_SETTINGS_BIND_DEFAULT);
#line 162 "../src/Views/Dock.vala"
		_g_object_unref0 (keyboard_settings);
#line 162 "../src/Views/Dock.vala"
		_g_object_unref0 (num_check);
#line 162 "../src/Views/Dock.vala"
		_g_object_unref0 (caps_check);
#line 2006 "Dock.c"
	}
#line 174 "../src/Views/Dock.vala"
	_tmp120_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 18);
#line 174 "../src/Views/Dock.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp120_, 12);
#line 174 "../src/Views/Dock.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp120_, 12);
#line 174 "../src/Views/Dock.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp120_, 12);
#line 174 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp120_);
#line 174 "../src/Views/Dock.vala"
	box = _tmp120_;
#line 179 "../src/Views/Dock.vala"
	_tmp121_ = box;
#line 179 "../src/Views/Dock.vala"
	_tmp122_ = icon_box;
#line 179 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp121_, (GtkWidget*) _tmp122_);
#line 180 "../src/Views/Dock.vala"
	_tmp123_ = box;
#line 180 "../src/Views/Dock.vala"
	_tmp124_ = hide_box;
#line 180 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp123_, (GtkWidget*) _tmp124_);
#line 181 "../src/Views/Dock.vala"
	_tmp125_ = box;
#line 181 "../src/Views/Dock.vala"
	_tmp126_ = _data3_->pressure_grid;
#line 181 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp125_, (GtkWidget*) _tmp126_);
#line 182 "../src/Views/Dock.vala"
	_tmp127_ = box;
#line 182 "../src/Views/Dock.vala"
	_tmp128_ = self->priv->display_grid;
#line 182 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp127_, (GtkWidget*) _tmp128_);
#line 183 "../src/Views/Dock.vala"
	_tmp129_ = box;
#line 183 "../src/Views/Dock.vala"
	_tmp130_ = translucency_grid;
#line 183 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) _tmp129_, (GtkWidget*) _tmp130_);
#line 186 "../src/Views/Dock.vala"
	_tmp131_ = indicators_box;
#line 186 "../src/Views/Dock.vala"
	_tmp132_ = gtk_container_get_children ((GtkContainer*) _tmp131_);
#line 186 "../src/Views/Dock.vala"
	_tmp133_ = _tmp132_;
#line 186 "../src/Views/Dock.vala"
	_tmp134_ = g_list_length (_tmp133_) > ((guint) 1);
#line 186 "../src/Views/Dock.vala"
	(_tmp133_ == NULL) ? NULL : (_tmp133_ = (g_list_free (_tmp133_), NULL));
#line 186 "../src/Views/Dock.vala"
	if (_tmp134_) {
#line 2062 "Dock.c"
		GtkBox* _tmp135_;
		GtkBox* _tmp136_;
#line 187 "../src/Views/Dock.vala"
		_tmp135_ = box;
#line 187 "../src/Views/Dock.vala"
		_tmp136_ = indicators_box;
#line 187 "../src/Views/Dock.vala"
		gtk_container_add ((GtkContainer*) _tmp135_, (GtkWidget*) _tmp136_);
#line 2071 "Dock.c"
	}
#line 190 "../src/Views/Dock.vala"
	_tmp137_ = box;
#line 190 "../src/Views/Dock.vala"
	_tmp138_ = _g_object_ref0 ((GtkWidget*) _tmp137_);
#line 190 "../src/Views/Dock.vala"
	_tmp139_ = (HdyClamp*) hdy_clamp_new ();
#line 190 "../src/Views/Dock.vala"
	g_object_set ((GtkContainer*) _tmp139_, "child", _tmp138_, NULL);
#line 190 "../src/Views/Dock.vala"
	_g_object_unref0 (_tmp138_);
#line 190 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp139_);
#line 190 "../src/Views/Dock.vala"
	clamp = _tmp139_;
#line 194 "../src/Views/Dock.vala"
	_tmp140_ = clamp;
#line 194 "../src/Views/Dock.vala"
	_tmp141_ = _g_object_ref0 ((GtkWidget*) _tmp140_);
#line 194 "../src/Views/Dock.vala"
	_tmp142_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 194 "../src/Views/Dock.vala"
	g_object_set ((GtkContainer*) _tmp142_, "child", _tmp141_, NULL);
#line 194 "../src/Views/Dock.vala"
	_g_object_unref0 (_tmp141_);
#line 194 "../src/Views/Dock.vala"
	g_object_ref_sink (_tmp142_);
#line 194 "../src/Views/Dock.vala"
	scrolled = _tmp142_;
#line 198 "../src/Views/Dock.vala"
	_tmp143_ = scrolled;
#line 198 "../src/Views/Dock.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp143_);
#line 200 "../src/Views/Dock.vala"
	_tmp144_ = plank_dock_preferences_new ("dock1");
#line 200 "../src/Views/Dock.vala"
	_g_object_unref0 (self->priv->dock_preferences);
#line 200 "../src/Views/Dock.vala"
	self->priv->dock_preferences = _tmp144_;
#line 201 "../src/Views/Dock.vala"
	_tmp145_ = self->priv->dock_preferences;
#line 201 "../src/Views/Dock.vala"
	_tmp146_ = pressure_switch;
#line 201 "../src/Views/Dock.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp145_, "PressureReveal", (GObject*) _tmp146_, "active", G_BINDING_SYNC_CREATE | G_BINDING_BIDIRECTIONAL, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 203 "../src/Views/Dock.vala"
	plank_paths_initialize ("plank", CONSTANTS_PLANKDATADIR);
#line 205 "../src/Views/Dock.vala"
	pantheon_shell_dock_check_for_screens (self);
#line 207 "../src/Views/Dock.vala"
	_tmp147_ = self->priv->dock_preferences;
#line 207 "../src/Views/Dock.vala"
	_tmp148_ = plank_dock_preferences_get_IconSize (_tmp147_);
#line 207 "../src/Views/Dock.vala"
	_tmp149_ = _tmp148_;
#line 207 "../src/Views/Dock.vala"
	switch (_tmp149_) {
#line 207 "../src/Views/Dock.vala"
		case 32:
#line 2131 "Dock.c"
		{
			GtkRadioButton* _tmp150_;
#line 209 "../src/Views/Dock.vala"
			_tmp150_ = icon_size_32;
#line 209 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp150_, TRUE);
#line 210 "../src/Views/Dock.vala"
			break;
#line 2140 "Dock.c"
		}
#line 207 "../src/Views/Dock.vala"
		case 48:
#line 2144 "Dock.c"
		{
			GtkRadioButton* _tmp151_;
#line 212 "../src/Views/Dock.vala"
			_tmp151_ = icon_size_48;
#line 212 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp151_, TRUE);
#line 213 "../src/Views/Dock.vala"
			break;
#line 2153 "Dock.c"
		}
#line 207 "../src/Views/Dock.vala"
		case 64:
#line 2157 "Dock.c"
		{
			GtkRadioButton* _tmp152_;
#line 215 "../src/Views/Dock.vala"
			_tmp152_ = icon_size_64;
#line 215 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp152_, TRUE);
#line 216 "../src/Views/Dock.vala"
			break;
#line 2166 "Dock.c"
		}
		default:
		{
			GtkRadioButton* _tmp153_;
#line 218 "../src/Views/Dock.vala"
			_tmp153_ = icon_size_unsupported;
#line 218 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp153_, TRUE);
#line 219 "../src/Views/Dock.vala"
			g_debug ("Dock.vala:219: Unsupported dock icon size");
#line 2177 "Dock.c"
		}
	}
#line 222 "../src/Views/Dock.vala"
	_tmp154_ = icon_size_32;
#line 222 "../src/Views/Dock.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp154_, "toggled", (GCallback) __pantheon_shell_dock___lambda35__gtk_toggle_button_toggled, self, 0);
#line 226 "../src/Views/Dock.vala"
	_tmp155_ = icon_size_48;
#line 226 "../src/Views/Dock.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp155_, "toggled", (GCallback) __pantheon_shell_dock___lambda36__gtk_toggle_button_toggled, self, 0);
#line 230 "../src/Views/Dock.vala"
	_tmp156_ = icon_size_64;
#line 230 "../src/Views/Dock.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp156_, "toggled", (GCallback) __pantheon_shell_dock___lambda37__gtk_toggle_button_toggled, self, 0);
#line 234 "../src/Views/Dock.vala"
	_tmp157_ = _data3_->pressure_grid;
#line 234 "../src/Views/Dock.vala"
	_tmp158_ = self->priv->dock_preferences;
#line 234 "../src/Views/Dock.vala"
	_tmp159_ = plank_dock_preferences_get_HideMode (_tmp158_);
#line 234 "../src/Views/Dock.vala"
	_tmp160_ = _tmp159_;
#line 234 "../src/Views/Dock.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp157_, _tmp160_ != PLANK_HIDE_TYPE_NONE);
#line 235 "../src/Views/Dock.vala"
	_tmp161_ = self->priv->dock_preferences;
#line 235 "../src/Views/Dock.vala"
	_tmp162_ = plank_dock_preferences_get_HideMode (_tmp161_);
#line 235 "../src/Views/Dock.vala"
	_tmp163_ = _tmp162_;
#line 235 "../src/Views/Dock.vala"
	switch (_tmp163_) {
#line 235 "../src/Views/Dock.vala"
		case PLANK_HIDE_TYPE_NONE:
#line 2212 "Dock.c"
		{
			GtkRadioButton* _tmp164_;
#line 237 "../src/Views/Dock.vala"
			_tmp164_ = _data3_->never_radio;
#line 237 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp164_, TRUE);
#line 238 "../src/Views/Dock.vala"
			break;
#line 2221 "Dock.c"
		}
#line 235 "../src/Views/Dock.vala"
		case PLANK_HIDE_TYPE_DODGE_MAXIMIZED:
#line 2225 "Dock.c"
		{
			GtkRadioButton* _tmp165_;
#line 240 "../src/Views/Dock.vala"
			_tmp165_ = _data3_->dodge_maximized_radio;
#line 240 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp165_, TRUE);
#line 241 "../src/Views/Dock.vala"
			break;
#line 2234 "Dock.c"
		}
#line 235 "../src/Views/Dock.vala"
		case PLANK_HIDE_TYPE_INTELLIGENT:
#line 2238 "Dock.c"
		{
			GtkRadioButton* _tmp166_;
#line 243 "../src/Views/Dock.vala"
			_tmp166_ = _data3_->intelligent_radio;
#line 243 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp166_, TRUE);
#line 244 "../src/Views/Dock.vala"
			break;
#line 2247 "Dock.c"
		}
#line 235 "../src/Views/Dock.vala"
		case PLANK_HIDE_TYPE_WINDOW_DODGE:
#line 2251 "Dock.c"
		{
			GtkRadioButton* _tmp167_;
#line 246 "../src/Views/Dock.vala"
			_tmp167_ = _data3_->window_dodge_radio;
#line 246 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp167_, TRUE);
#line 247 "../src/Views/Dock.vala"
			break;
#line 2260 "Dock.c"
		}
#line 235 "../src/Views/Dock.vala"
		case PLANK_HIDE_TYPE_AUTO:
#line 2264 "Dock.c"
		{
			GtkRadioButton* _tmp168_;
#line 249 "../src/Views/Dock.vala"
			_tmp168_ = _data3_->auto_radio;
#line 249 "../src/Views/Dock.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp168_, TRUE);
#line 250 "../src/Views/Dock.vala"
			break;
#line 2273 "Dock.c"
		}
		default:
#line 235 "../src/Views/Dock.vala"
		break;
#line 2278 "Dock.c"
	}
#line 253 "../src/Views/Dock.vala"
	_tmp169_ = _data3_->never_radio;
#line 253 "../src/Views/Dock.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp169_, "toggled", (GCallback) __pantheon_shell_dock___lambda38__gtk_toggle_button_toggled, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 260 "../src/Views/Dock.vala"
	_tmp170_ = _data3_->dodge_maximized_radio;
#line 260 "../src/Views/Dock.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp170_, "toggled", (GCallback) __pantheon_shell_dock___lambda39__gtk_toggle_button_toggled, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 267 "../src/Views/Dock.vala"
	_tmp171_ = _data3_->intelligent_radio;
#line 267 "../src/Views/Dock.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp171_, "toggled", (GCallback) __pantheon_shell_dock___lambda40__gtk_toggle_button_toggled, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 274 "../src/Views/Dock.vala"
	_tmp172_ = _data3_->window_dodge_radio;
#line 274 "../src/Views/Dock.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp172_, "toggled", (GCallback) __pantheon_shell_dock___lambda41__gtk_toggle_button_toggled, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 281 "../src/Views/Dock.vala"
	_tmp173_ = _data3_->auto_radio;
#line 281 "../src/Views/Dock.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp173_, "toggled", (GCallback) __pantheon_shell_dock___lambda42__gtk_toggle_button_toggled, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 288 "../src/Views/Dock.vala"
	_tmp174_ = _data3_->display_switch;
#line 288 "../src/Views/Dock.vala"
	g_signal_connect_data ((GObject*) _tmp174_, "notify::active", (GCallback) __pantheon_shell_dock___lambda43__g_object_notify, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 298 "../src/Views/Dock.vala"
	_tmp175_ = _data3_->display_switch;
#line 298 "../src/Views/Dock.vala"
	_tmp176_ = self->priv->dock_preferences;
#line 298 "../src/Views/Dock.vala"
	_tmp177_ = plank_dock_preferences_get_Monitor (_tmp176_);
#line 298 "../src/Views/Dock.vala"
	_tmp178_ = _tmp177_;
#line 298 "../src/Views/Dock.vala"
	gtk_switch_set_active (_tmp175_, g_strcmp0 (_tmp178_, "") == 0);
#line 299 "../src/Views/Dock.vala"
	_tmp179_ = _data3_->display_switch;
#line 299 "../src/Views/Dock.vala"
	_tmp180_ = self->priv->display_combo;
#line 299 "../src/Views/Dock.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp179_, "active", (GObject*) _tmp180_, "sensitive", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 301 "../src/Views/Dock.vala"
	_tmp181_ = self->priv->display_combo;
#line 301 "../src/Views/Dock.vala"
	g_signal_connect_data ((GObject*) _tmp181_, "notify::active", (GCallback) __pantheon_shell_dock___lambda44__g_object_notify, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 309 "../src/Views/Dock.vala"
	_tmp182_ = gtk_widget_get_screen ((GtkWidget*) self);
#line 309 "../src/Views/Dock.vala"
	g_signal_connect_object (_tmp182_, "monitors-changed", (GCallback) _pantheon_shell_dock_check_for_screens_gdk_screen_monitors_changed, self, 0);
#line 311 "../src/Views/Dock.vala"
	_tmp183_ = g_settings_new (PANTHEON_SHELL_DOCK_PANEL_SCHEMA);
#line 311 "../src/Views/Dock.vala"
	panel_settings = _tmp183_;
#line 312 "../src/Views/Dock.vala"
	_tmp184_ = panel_settings;
#line 312 "../src/Views/Dock.vala"
	_tmp185_ = translucency_switch;
#line 312 "../src/Views/Dock.vala"
	g_settings_bind (_tmp184_, PANTHEON_SHELL_DOCK_TRANSLUCENCY_KEY, (GObject*) _tmp185_, "active", G_SETTINGS_BIND_DEFAULT);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (panel_settings);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (scrolled);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (clamp);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (box);
#line 14 "../src/Views/Dock.vala"
	_g_settings_schema_unref0 (keyboard_schema);
#line 14 "../src/Views/Dock.vala"
	_g_settings_schema_unref0 (a11y_schema);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (indicators_box);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (indicators_header);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (translucency_grid);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (translucency_switch);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (translucency_subtitle);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (translucency_header);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (pressure_switch);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (pressure_subtitle);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (pressure_header);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (display_header);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (hide_box);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (hide_radio_box);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (hide_header);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_box);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_size_box);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_size_unsupported);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_size_64);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (image_64);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_size_48);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_size_32);
#line 14 "../src/Views/Dock.vala"
	_g_object_unref0 (icon_header);
#line 14 "../src/Views/Dock.vala"
	block3_data_unref (_data3_);
#line 14 "../src/Views/Dock.vala"
	_data3_ = NULL;
#line 14 "../src/Views/Dock.vala"
	return obj;
#line 2398 "Dock.c"
}

static void
pantheon_shell_dock_class_init (PantheonShellDockClass * klass,
                                gpointer klass_data)
{
#line 6 "../src/Views/Dock.vala"
	pantheon_shell_dock_parent_class = g_type_class_peek_parent (klass);
#line 6 "../src/Views/Dock.vala"
	g_type_class_adjust_private_offset (klass, &PantheonShellDock_private_offset);
#line 6 "../src/Views/Dock.vala"
	G_OBJECT_CLASS (klass)->constructor = pantheon_shell_dock_constructor;
#line 6 "../src/Views/Dock.vala"
	G_OBJECT_CLASS (klass)->finalize = pantheon_shell_dock_finalize;
#line 2413 "Dock.c"
}

static void
pantheon_shell_dock_instance_init (PantheonShellDock * self,
                                   gpointer klass)
{
#line 6 "../src/Views/Dock.vala"
	self->priv = pantheon_shell_dock_get_instance_private (self);
#line 2422 "Dock.c"
}

static void
pantheon_shell_dock_finalize (GObject * obj)
{
	PantheonShellDock * self;
#line 6 "../src/Views/Dock.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PANTHEON_SHELL_TYPE_DOCK, PantheonShellDock);
#line 10 "../src/Views/Dock.vala"
	_g_object_unref0 (self->priv->display_grid);
#line 11 "../src/Views/Dock.vala"
	_g_object_unref0 (self->priv->display_combo);
#line 12 "../src/Views/Dock.vala"
	_g_object_unref0 (self->priv->dock_preferences);
#line 6 "../src/Views/Dock.vala"
	G_OBJECT_CLASS (pantheon_shell_dock_parent_class)->finalize (obj);
#line 2439 "Dock.c"
}

static GType
pantheon_shell_dock_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (PantheonShellDockClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) pantheon_shell_dock_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PantheonShellDock), 0, (GInstanceInitFunc) pantheon_shell_dock_instance_init, NULL };
	GType pantheon_shell_dock_type_id;
	pantheon_shell_dock_type_id = g_type_register_static (gtk_box_get_type (), "PantheonShellDock", &g_define_type_info, 0);
	PantheonShellDock_private_offset = g_type_add_instance_private (pantheon_shell_dock_type_id, sizeof (PantheonShellDockPrivate));
	return pantheon_shell_dock_type_id;
}

GType
pantheon_shell_dock_get_type (void)
{
	static volatile gsize pantheon_shell_dock_type_id__once = 0;
	if (g_once_init_enter (&pantheon_shell_dock_type_id__once)) {
		GType pantheon_shell_dock_type_id;
		pantheon_shell_dock_type_id = pantheon_shell_dock_get_type_once ();
		g_once_init_leave (&pantheon_shell_dock_type_id__once, pantheon_shell_dock_type_id);
	}
	return pantheon_shell_dock_type_id__once;
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

