/* WallpaperContainer.c generated by valac 0.56.13, the Vala compiler
 * generated from WallpaperContainer.vala, do not modify */

/*-
 * Copyright 2015-2022 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Erasmo Marín
 *
 */

#include "pantheon-desktop.h"
#include <gtk/gtk.h>
#include <granite.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <gexiv2/gexiv2.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>

#define PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_WIDTH 162
#define PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_HEIGHT 100

enum  {
	PANTHEON_SHELL_WALLPAPER_CONTAINER_0_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PATH_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_VALID_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_URI_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_CHECKED_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_SELECTED_PROPERTY,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_NUM_PROPERTIES
};
static GParamSpec* pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _pantheon_shell_thumbnail_generator_unref0(var) ((var == NULL) ? NULL : (var = (pantheon_shell_thumbnail_generator_unref (var), NULL)))
typedef struct _PantheonShellWallpaperContainerUpdateThumbData PantheonShellWallpaperContainerUpdateThumbData;
enum  {
	PANTHEON_SHELL_WALLPAPER_CONTAINER_TRASH_SIGNAL,
	PANTHEON_SHELL_WALLPAPER_CONTAINER_NUM_SIGNALS
};
static guint pantheon_shell_wallpaper_container_signals[PANTHEON_SHELL_WALLPAPER_CONTAINER_NUM_SIGNALS] = {0};

struct _PantheonShellWallpaperContainerPrivate {
	GtkGrid* card_box;
	GtkMenu* context_menu;
	GtkRevealer* check_revealer;
	GraniteAsyncImage* image;
	gchar* _thumb_path;
	gboolean _thumb_valid;
	gchar* _uri;
	GdkPixbuf* _thumb;
	gint scale;
};

struct _PantheonShellWallpaperContainerUpdateThumbData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	PantheonShellWallpaperContainer* self;
	const gchar* _tmp0_;
	GraniteAsyncImage* _tmp1_;
	const gchar* _tmp2_;
	GFile* _tmp3_;
	GFile* _tmp4_;
	GError* e;
	GError* _tmp5_;
	const gchar* _tmp6_;
	GError* _inner_error0_;
};

static gint PantheonShellWallpaperContainer_private_offset;
static gpointer pantheon_shell_wallpaper_container_parent_class = NULL;

static void pantheon_shell_wallpaper_container_generate_and_load_thumb (PantheonShellWallpaperContainer* self);
static void __lambda6_ (PantheonShellWallpaperContainer* self);
static void pantheon_shell_wallpaper_container_update_thumb (PantheonShellWallpaperContainer* self,
                                                      GAsyncReadyCallback _callback_,
                                                      gpointer _user_data_);
static void pantheon_shell_wallpaper_container_update_thumb_finish (PantheonShellWallpaperContainer* self,
                                                             GAsyncResult* _res_);
static void ___lambda6__pantheon_shell_thumbnail_generator_thumbnail_ready (gpointer self);
static void pantheon_shell_wallpaper_container_load_artist_tooltip (PantheonShellWallpaperContainer* self);
static gboolean pantheon_shell_wallpaper_container_show_context_menu (PantheonShellWallpaperContainer* self,
                                                               GtkWidget* sender,
                                                               GdkEventButton* evt);
static void pantheon_shell_wallpaper_container_update_thumb_data_free (gpointer _data);
static gboolean pantheon_shell_wallpaper_container_update_thumb_co (PantheonShellWallpaperContainerUpdateThumbData* _data_);
static void pantheon_shell_wallpaper_container_update_thumb_ready (GObject* source_object,
                                                            GAsyncResult* _res_,
                                                            gpointer _user_data_);
static GObject * pantheon_shell_wallpaper_container_constructor (GType type,
                                                          guint n_construct_properties,
                                                          GObjectConstructParam * construct_properties);
static void _pantheon_shell_wallpaper_container____lambda7_ (PantheonShellWallpaperContainer* self);
static void __pantheon_shell_wallpaper_container____lambda7__gtk_menu_item_activate (GtkMenuItem* _sender,
                                                                              gpointer self);
static void _pantheon_shell_wallpaper_container___lambda8_ (PantheonShellWallpaperContainer* self);
static void __pantheon_shell_wallpaper_container___lambda8__gtk_flow_box_child_activate (GtkFlowBoxChild* _sender,
                                                                                  gpointer self);
static gboolean _pantheon_shell_wallpaper_container_show_context_menu_gtk_widget_button_press_event (GtkWidget* _sender,
                                                                                              GdkEventButton* event,
                                                                                              gpointer self);
static void pantheon_shell_wallpaper_container_finalize (GObject * obj);
static GType pantheon_shell_wallpaper_container_get_type_once (void);
static void _vala_pantheon_shell_wallpaper_container_get_property (GObject * object,
                                                            guint property_id,
                                                            GValue * value,
                                                            GParamSpec * pspec);
static void _vala_pantheon_shell_wallpaper_container_set_property (GObject * object,
                                                            guint property_id,
                                                            const GValue * value,
                                                            GParamSpec * pspec);

static inline gpointer
pantheon_shell_wallpaper_container_get_instance_private (PantheonShellWallpaperContainer* self)
{
	return G_STRUCT_MEMBER_P (self, PantheonShellWallpaperContainer_private_offset);
}

PantheonShellWallpaperContainer*
pantheon_shell_wallpaper_container_construct (GType object_type,
                                              const gchar* uri,
                                              const gchar* thumb_path,
                                              gboolean thumb_valid)
{
	PantheonShellWallpaperContainer * self = NULL;
#line 70 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 71 "../src/Widgets/WallpaperContainer.vala"
	self = (PantheonShellWallpaperContainer*) g_object_new (object_type, "uri", uri, "thumb-path", thumb_path, "thumb-valid", thumb_valid, NULL);
#line 70 "../src/Widgets/WallpaperContainer.vala"
	return self;
#line 154 "WallpaperContainer.c"
}

PantheonShellWallpaperContainer*
pantheon_shell_wallpaper_container_new (const gchar* uri,
                                        const gchar* thumb_path,
                                        gboolean thumb_valid)
{
#line 70 "../src/Widgets/WallpaperContainer.vala"
	return pantheon_shell_wallpaper_container_construct (PANTHEON_SHELL_TYPE_WALLPAPER_CONTAINER, uri, thumb_path, thumb_valid);
#line 164 "WallpaperContainer.c"
}

static void
__lambda6_ (PantheonShellWallpaperContainer* self)
{
	GError* _inner_error0_ = NULL;
	{
		GFile* file = NULL;
		const gchar* _tmp0_;
		GFile* _tmp1_;
		GFileInfo* info = NULL;
		GFileInfo* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 164 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = self->priv->_uri;
#line 164 "../src/Widgets/WallpaperContainer.vala"
		_tmp1_ = g_file_new_for_uri (_tmp0_);
#line 164 "../src/Widgets/WallpaperContainer.vala"
		file = _tmp1_;
#line 165 "../src/Widgets/WallpaperContainer.vala"
		_tmp2_ = g_file_query_info (file, G_FILE_ATTRIBUTE_THUMBNAIL_PATH "," G_FILE_ATTRIBUTE_THUMBNAIL_IS_VALID, 0, NULL, &_inner_error0_);
#line 165 "../src/Widgets/WallpaperContainer.vala"
		info = _tmp2_;
#line 165 "../src/Widgets/WallpaperContainer.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 165 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (file);
#line 193 "WallpaperContainer.c"
			goto __catch0_g_error;
		}
#line 166 "../src/Widgets/WallpaperContainer.vala"
		_tmp3_ = g_file_info_get_attribute_as_string (info, G_FILE_ATTRIBUTE_THUMBNAIL_PATH);
#line 166 "../src/Widgets/WallpaperContainer.vala"
		_tmp4_ = _tmp3_;
#line 166 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_thumb_path (self, _tmp4_);
#line 166 "../src/Widgets/WallpaperContainer.vala"
		_g_free0 (_tmp4_);
#line 167 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_update_thumb (self, NULL, NULL);
#line 163 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (info);
#line 163 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (file);
#line 210 "WallpaperContainer.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp5_;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 163 "../src/Widgets/WallpaperContainer.vala"
		e = _inner_error0_;
#line 163 "../src/Widgets/WallpaperContainer.vala"
		_inner_error0_ = NULL;
#line 169 "../src/Widgets/WallpaperContainer.vala"
		_tmp5_ = self->priv->_uri;
#line 169 "../src/Widgets/WallpaperContainer.vala"
		_tmp6_ = e;
#line 169 "../src/Widgets/WallpaperContainer.vala"
		_tmp7_ = _tmp6_->message;
#line 169 "../src/Widgets/WallpaperContainer.vala"
		g_warning ("WallpaperContainer.vala:169: Error loading thumbnail for '%s': %s", _tmp5_, _tmp7_);
#line 163 "../src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (e);
#line 233 "WallpaperContainer.c"
	}
	__finally0:
#line 163 "../src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 163 "../src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 163 "../src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_inner_error0_);
#line 163 "../src/Widgets/WallpaperContainer.vala"
		return;
#line 244 "WallpaperContainer.c"
	}
}

static void
___lambda6__pantheon_shell_thumbnail_generator_thumbnail_ready (gpointer self)
{
#line 162 "../src/Widgets/WallpaperContainer.vala"
	__lambda6_ ((PantheonShellWallpaperContainer*) self);
#line 253 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_generate_and_load_thumb (PantheonShellWallpaperContainer* self)
{
	PantheonShellThumbnailGenerator* _tmp0_;
	PantheonShellThumbnailGenerator* _tmp1_;
	const gchar* _tmp2_;
#line 161 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 162 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = pantheon_shell_thumbnail_generator_get_default ();
#line 162 "../src/Widgets/WallpaperContainer.vala"
	_tmp1_ = _tmp0_;
#line 162 "../src/Widgets/WallpaperContainer.vala"
	_tmp2_ = self->priv->_uri;
#line 162 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_thumbnail_generator_get_thumbnail (_tmp1_, _tmp2_, (guint) (PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_WIDTH * self->priv->scale), ___lambda6__pantheon_shell_thumbnail_generator_thumbnail_ready, self);
#line 162 "../src/Widgets/WallpaperContainer.vala"
	_pantheon_shell_thumbnail_generator_unref0 (_tmp1_);
#line 274 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_load_artist_tooltip (PantheonShellWallpaperContainer* self)
{
	const gchar* _tmp0_;
	GError* _inner_error0_ = NULL;
#line 174 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 175 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_uri;
#line 175 "../src/Widgets/WallpaperContainer.vala"
	if (_tmp0_ != NULL) {
#line 288 "WallpaperContainer.c"
		gchar* path = NULL;
		gchar* _tmp1_;
		GExiv2Metadata* metadata = NULL;
		GExiv2Metadata* _tmp12_;
#line 176 "../src/Widgets/WallpaperContainer.vala"
		_tmp1_ = g_strdup ("");
#line 176 "../src/Widgets/WallpaperContainer.vala"
		path = _tmp1_;
#line 297 "WallpaperContainer.c"
		{
			gchar* _tmp2_ = NULL;
			const gchar* _tmp3_;
			gchar* _tmp4_;
			gchar* _tmp5_;
			GExiv2Metadata* _tmp6_;
			GExiv2Metadata* _tmp7_;
			const gchar* _tmp8_;
#line 179 "../src/Widgets/WallpaperContainer.vala"
			_tmp3_ = self->priv->_uri;
#line 179 "../src/Widgets/WallpaperContainer.vala"
			_tmp4_ = g_filename_from_uri (_tmp3_, NULL, &_inner_error0_);
#line 179 "../src/Widgets/WallpaperContainer.vala"
			_tmp2_ = _tmp4_;
#line 179 "../src/Widgets/WallpaperContainer.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 314 "WallpaperContainer.c"
				goto __catch0_g_error;
			}
#line 179 "../src/Widgets/WallpaperContainer.vala"
			_tmp5_ = _tmp2_;
#line 179 "../src/Widgets/WallpaperContainer.vala"
			_tmp2_ = NULL;
#line 179 "../src/Widgets/WallpaperContainer.vala"
			_g_free0 (path);
#line 179 "../src/Widgets/WallpaperContainer.vala"
			path = _tmp5_;
#line 180 "../src/Widgets/WallpaperContainer.vala"
			_tmp6_ = gexiv2_metadata_new ();
#line 180 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (metadata);
#line 180 "../src/Widgets/WallpaperContainer.vala"
			metadata = _tmp6_;
#line 181 "../src/Widgets/WallpaperContainer.vala"
			_tmp7_ = metadata;
#line 181 "../src/Widgets/WallpaperContainer.vala"
			_tmp8_ = path;
#line 181 "../src/Widgets/WallpaperContainer.vala"
			gexiv2_metadata_open_path (_tmp7_, _tmp8_, &_inner_error0_);
#line 181 "../src/Widgets/WallpaperContainer.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 181 "../src/Widgets/WallpaperContainer.vala"
				_g_free0 (_tmp2_);
#line 341 "WallpaperContainer.c"
				goto __catch0_g_error;
			}
#line 178 "../src/Widgets/WallpaperContainer.vala"
			_g_free0 (_tmp2_);
#line 346 "WallpaperContainer.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp9_;
			GError* _tmp10_;
			const gchar* _tmp11_;
#line 178 "../src/Widgets/WallpaperContainer.vala"
			e = _inner_error0_;
#line 178 "../src/Widgets/WallpaperContainer.vala"
			_inner_error0_ = NULL;
#line 183 "../src/Widgets/WallpaperContainer.vala"
			_tmp9_ = path;
#line 183 "../src/Widgets/WallpaperContainer.vala"
			_tmp10_ = e;
#line 183 "../src/Widgets/WallpaperContainer.vala"
			_tmp11_ = _tmp10_->message;
#line 183 "../src/Widgets/WallpaperContainer.vala"
			g_warning ("WallpaperContainer.vala:183: Error parsing exif metadata of \"%s\": %s", _tmp9_, _tmp11_);
#line 184 "../src/Widgets/WallpaperContainer.vala"
			_g_error_free0 (e);
#line 184 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (metadata);
#line 184 "../src/Widgets/WallpaperContainer.vala"
			_g_free0 (path);
#line 184 "../src/Widgets/WallpaperContainer.vala"
			return;
#line 375 "WallpaperContainer.c"
		}
		__finally0:
#line 178 "../src/Widgets/WallpaperContainer.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 178 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (metadata);
#line 178 "../src/Widgets/WallpaperContainer.vala"
			_g_free0 (path);
#line 178 "../src/Widgets/WallpaperContainer.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 178 "../src/Widgets/WallpaperContainer.vala"
			g_clear_error (&_inner_error0_);
#line 178 "../src/Widgets/WallpaperContainer.vala"
			return;
#line 390 "WallpaperContainer.c"
		}
#line 187 "../src/Widgets/WallpaperContainer.vala"
		_tmp12_ = metadata;
#line 187 "../src/Widgets/WallpaperContainer.vala"
		if (gexiv2_metadata_has_exif (_tmp12_)) {
#line 396 "WallpaperContainer.c"
			gchar* artist_name = NULL;
			GExiv2Metadata* _tmp13_;
			gchar* _tmp14_;
			const gchar* _tmp15_;
#line 188 "../src/Widgets/WallpaperContainer.vala"
			_tmp13_ = metadata;
#line 188 "../src/Widgets/WallpaperContainer.vala"
			_tmp14_ = gexiv2_metadata_get_tag_string (_tmp13_, "Exif.Image.Artist");
#line 188 "../src/Widgets/WallpaperContainer.vala"
			artist_name = _tmp14_;
#line 189 "../src/Widgets/WallpaperContainer.vala"
			_tmp15_ = artist_name;
#line 189 "../src/Widgets/WallpaperContainer.vala"
			if (_tmp15_ != NULL) {
#line 411 "WallpaperContainer.c"
				const gchar* _tmp16_;
				gchar* _tmp17_;
				gchar* _tmp18_;
#line 190 "../src/Widgets/WallpaperContainer.vala"
				_tmp16_ = artist_name;
#line 190 "../src/Widgets/WallpaperContainer.vala"
				_tmp17_ = g_strdup_printf (_ ("Artist: %s"), _tmp16_);
#line 190 "../src/Widgets/WallpaperContainer.vala"
				_tmp18_ = _tmp17_;
#line 190 "../src/Widgets/WallpaperContainer.vala"
				gtk_widget_set_tooltip_text ((GtkWidget*) self, _tmp18_);
#line 190 "../src/Widgets/WallpaperContainer.vala"
				_g_free0 (_tmp18_);
#line 425 "WallpaperContainer.c"
			}
#line 187 "../src/Widgets/WallpaperContainer.vala"
			_g_free0 (artist_name);
#line 429 "WallpaperContainer.c"
		}
#line 175 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (metadata);
#line 175 "../src/Widgets/WallpaperContainer.vala"
		_g_free0 (path);
#line 435 "WallpaperContainer.c"
	}
}

static gboolean
pantheon_shell_wallpaper_container_show_context_menu (PantheonShellWallpaperContainer* self,
                                                      GtkWidget* sender,
                                                      GdkEventButton* evt)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 196 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 196 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (sender != NULL, FALSE);
#line 196 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (evt != NULL, FALSE);
#line 197 "../src/Widgets/WallpaperContainer.vala"
	if (evt->type == GDK_BUTTON_PRESS) {
#line 197 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = evt->button == ((guint) 3);
#line 456 "WallpaperContainer.c"
	} else {
#line 197 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = FALSE;
#line 460 "WallpaperContainer.c"
	}
#line 197 "../src/Widgets/WallpaperContainer.vala"
	if (_tmp0_) {
#line 464 "WallpaperContainer.c"
		GtkMenu* _tmp1_;
#line 198 "../src/Widgets/WallpaperContainer.vala"
		_tmp1_ = self->priv->context_menu;
#line 198 "../src/Widgets/WallpaperContainer.vala"
		gtk_menu_popup_at_pointer (_tmp1_, NULL);
#line 199 "../src/Widgets/WallpaperContainer.vala"
		result = GDK_EVENT_STOP;
#line 199 "../src/Widgets/WallpaperContainer.vala"
		return result;
#line 474 "WallpaperContainer.c"
	}
#line 201 "../src/Widgets/WallpaperContainer.vala"
	result = GDK_EVENT_PROPAGATE;
#line 201 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 480 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_update_thumb_data_free (gpointer _data)
{
	PantheonShellWallpaperContainerUpdateThumbData* _data_;
	_data_ = _data;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (_data_->self);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_slice_free (PantheonShellWallpaperContainerUpdateThumbData, _data_);
#line 492 "WallpaperContainer.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 21 "../src/Widgets/WallpaperContainer.vala"
	return self ? g_object_ref (self) : NULL;
#line 500 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_update_thumb (PantheonShellWallpaperContainer* self,
                                                 GAsyncReadyCallback _callback_,
                                                 gpointer _user_data_)
{
	PantheonShellWallpaperContainerUpdateThumbData* _data_;
	PantheonShellWallpaperContainer* _tmp0_;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	_data_ = g_slice_new0 (PantheonShellWallpaperContainerUpdateThumbData);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_task_set_task_data (_data_->_async_result, _data_, pantheon_shell_wallpaper_container_update_thumb_data_free);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	_data_->self = _tmp0_;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_wallpaper_container_update_thumb_co (_data_);
#line 524 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_update_thumb_finish (PantheonShellWallpaperContainer* self,
                                                        GAsyncResult* _res_)
{
	PantheonShellWallpaperContainerUpdateThumbData* _data_;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 534 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_update_thumb_ready (GObject* source_object,
                                                       GAsyncResult* _res_,
                                                       gpointer _user_data_)
{
	PantheonShellWallpaperContainerUpdateThumbData* _data_;
#line 210 "../src/Widgets/WallpaperContainer.vala"
	_data_ = _user_data_;
#line 210 "../src/Widgets/WallpaperContainer.vala"
	_data_->_source_object_ = source_object;
#line 210 "../src/Widgets/WallpaperContainer.vala"
	_data_->_res_ = _res_;
#line 210 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_wallpaper_container_update_thumb_co (_data_);
#line 551 "WallpaperContainer.c"
}

static gboolean
pantheon_shell_wallpaper_container_update_thumb_co (PantheonShellWallpaperContainerUpdateThumbData* _data_)
{
#line 204 "../src/Widgets/WallpaperContainer.vala"
	switch (_data_->_state_) {
#line 204 "../src/Widgets/WallpaperContainer.vala"
		case 0:
#line 561 "WallpaperContainer.c"
		goto _state_0;
#line 204 "../src/Widgets/WallpaperContainer.vala"
		case 1:
#line 565 "WallpaperContainer.c"
		goto _state_1;
		default:
#line 204 "../src/Widgets/WallpaperContainer.vala"
		g_assert_not_reached ();
#line 570 "WallpaperContainer.c"
	}
	_state_0:
#line 205 "../src/Widgets/WallpaperContainer.vala"
	_data_->_tmp0_ = _data_->self->priv->_thumb_path;
#line 205 "../src/Widgets/WallpaperContainer.vala"
	if (_data_->_tmp0_ == NULL) {
#line 206 "../src/Widgets/WallpaperContainer.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 206 "../src/Widgets/WallpaperContainer.vala"
		if (_data_->_state_ != 0) {
#line 206 "../src/Widgets/WallpaperContainer.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 206 "../src/Widgets/WallpaperContainer.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 585 "WallpaperContainer.c"
			}
		}
#line 206 "../src/Widgets/WallpaperContainer.vala"
		g_object_unref (_data_->_async_result);
#line 206 "../src/Widgets/WallpaperContainer.vala"
		return FALSE;
#line 592 "WallpaperContainer.c"
	}
	{
#line 210 "../src/Widgets/WallpaperContainer.vala"
		_data_->_tmp1_ = _data_->self->priv->image;
#line 210 "../src/Widgets/WallpaperContainer.vala"
		_data_->_tmp2_ = _data_->self->priv->_thumb_path;
#line 210 "../src/Widgets/WallpaperContainer.vala"
		_data_->_tmp3_ = g_file_new_for_path (_data_->_tmp2_);
#line 210 "../src/Widgets/WallpaperContainer.vala"
		_data_->_tmp4_ = _data_->_tmp3_;
#line 210 "../src/Widgets/WallpaperContainer.vala"
		_data_->_state_ = 1;
#line 210 "../src/Widgets/WallpaperContainer.vala"
		granite_async_image_set_from_file_async (_data_->_tmp1_, _data_->_tmp4_, PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_WIDTH, PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_HEIGHT, FALSE, NULL, pantheon_shell_wallpaper_container_update_thumb_ready, _data_);
#line 210 "../src/Widgets/WallpaperContainer.vala"
		return FALSE;
#line 609 "WallpaperContainer.c"
		_state_1:
#line 210 "../src/Widgets/WallpaperContainer.vala"
		granite_async_image_set_from_file_finish (_data_->_tmp1_, _data_->_res_, &_data_->_inner_error0_);
#line 210 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (_data_->_tmp4_);
#line 210 "../src/Widgets/WallpaperContainer.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 617 "WallpaperContainer.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 209 "../src/Widgets/WallpaperContainer.vala"
		_data_->e = _data_->_inner_error0_;
#line 209 "../src/Widgets/WallpaperContainer.vala"
		_data_->_inner_error0_ = NULL;
#line 212 "../src/Widgets/WallpaperContainer.vala"
		_data_->_tmp5_ = _data_->e;
#line 212 "../src/Widgets/WallpaperContainer.vala"
		_data_->_tmp6_ = _data_->_tmp5_->message;
#line 212 "../src/Widgets/WallpaperContainer.vala"
		g_warning ("WallpaperContainer.vala:212: %s", _data_->_tmp6_);
#line 209 "../src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (_data_->e);
#line 636 "WallpaperContainer.c"
	}
	__finally0:
#line 209 "../src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 209 "../src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 209 "../src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 209 "../src/Widgets/WallpaperContainer.vala"
		g_object_unref (_data_->_async_result);
#line 209 "../src/Widgets/WallpaperContainer.vala"
		return FALSE;
#line 649 "WallpaperContainer.c"
	}
#line 215 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_wallpaper_container_load_artist_tooltip (_data_->self);
#line 204 "../src/Widgets/WallpaperContainer.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 204 "../src/Widgets/WallpaperContainer.vala"
	if (_data_->_state_ != 0) {
#line 204 "../src/Widgets/WallpaperContainer.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 204 "../src/Widgets/WallpaperContainer.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 661 "WallpaperContainer.c"
		}
	}
#line 204 "../src/Widgets/WallpaperContainer.vala"
	g_object_unref (_data_->_async_result);
#line 204 "../src/Widgets/WallpaperContainer.vala"
	return FALSE;
#line 668 "WallpaperContainer.c"
}

const gchar*
pantheon_shell_wallpaper_container_get_thumb_path (PantheonShellWallpaperContainer* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 32 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_thumb_path;
#line 32 "../src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 32 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 684 "WallpaperContainer.c"
}

void
pantheon_shell_wallpaper_container_set_thumb_path (PantheonShellWallpaperContainer* self,
                                                   const gchar* value)
{
	gchar* old_value;
#line 32 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 32 "../src/Widgets/WallpaperContainer.vala"
	old_value = pantheon_shell_wallpaper_container_get_thumb_path (self);
#line 32 "../src/Widgets/WallpaperContainer.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 698 "WallpaperContainer.c"
		gchar* _tmp0_;
#line 32 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = g_strdup (value);
#line 32 "../src/Widgets/WallpaperContainer.vala"
		_g_free0 (self->priv->_thumb_path);
#line 32 "../src/Widgets/WallpaperContainer.vala"
		self->priv->_thumb_path = _tmp0_;
#line 32 "../src/Widgets/WallpaperContainer.vala"
		g_object_notify_by_pspec ((GObject *) self, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PATH_PROPERTY]);
#line 708 "WallpaperContainer.c"
	}
}

gboolean
pantheon_shell_wallpaper_container_get_thumb_valid (PantheonShellWallpaperContainer* self)
{
	gboolean result;
#line 33 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 33 "../src/Widgets/WallpaperContainer.vala"
	result = self->priv->_thumb_valid;
#line 33 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 722 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_set_thumb_valid (PantheonShellWallpaperContainer* self,
                                                    gboolean value)
{
	gboolean old_value;
#line 33 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 33 "../src/Widgets/WallpaperContainer.vala"
	old_value = pantheon_shell_wallpaper_container_get_thumb_valid (self);
#line 33 "../src/Widgets/WallpaperContainer.vala"
	if (old_value != value) {
#line 33 "../src/Widgets/WallpaperContainer.vala"
		self->priv->_thumb_valid = value;
#line 33 "../src/Widgets/WallpaperContainer.vala"
		g_object_notify_by_pspec ((GObject *) self, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_VALID_PROPERTY]);
#line 740 "WallpaperContainer.c"
	}
}

const gchar*
pantheon_shell_wallpaper_container_get_uri (PantheonShellWallpaperContainer* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 34 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 34 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_uri;
#line 34 "../src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 34 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 757 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_set_uri (PantheonShellWallpaperContainer* self,
                                            const gchar* value)
{
	gchar* old_value;
#line 34 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 34 "../src/Widgets/WallpaperContainer.vala"
	old_value = pantheon_shell_wallpaper_container_get_uri (self);
#line 34 "../src/Widgets/WallpaperContainer.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 771 "WallpaperContainer.c"
		gchar* _tmp0_;
#line 34 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = g_strdup (value);
#line 34 "../src/Widgets/WallpaperContainer.vala"
		_g_free0 (self->priv->_uri);
#line 34 "../src/Widgets/WallpaperContainer.vala"
		self->priv->_uri = _tmp0_;
#line 34 "../src/Widgets/WallpaperContainer.vala"
		g_object_notify_by_pspec ((GObject *) self, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_URI_PROPERTY]);
#line 781 "WallpaperContainer.c"
	}
}

GdkPixbuf*
pantheon_shell_wallpaper_container_get_thumb (PantheonShellWallpaperContainer* self)
{
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 35 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_thumb;
#line 35 "../src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 35 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 798 "WallpaperContainer.c"
}

void
pantheon_shell_wallpaper_container_set_thumb (PantheonShellWallpaperContainer* self,
                                              GdkPixbuf* value)
{
	GdkPixbuf* old_value;
#line 35 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 35 "../src/Widgets/WallpaperContainer.vala"
	old_value = pantheon_shell_wallpaper_container_get_thumb (self);
#line 35 "../src/Widgets/WallpaperContainer.vala"
	if (old_value != value) {
#line 812 "WallpaperContainer.c"
		GdkPixbuf* _tmp0_;
#line 35 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 35 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (self->priv->_thumb);
#line 35 "../src/Widgets/WallpaperContainer.vala"
		self->priv->_thumb = _tmp0_;
#line 35 "../src/Widgets/WallpaperContainer.vala"
		g_object_notify_by_pspec ((GObject *) self, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PROPERTY]);
#line 822 "WallpaperContainer.c"
	}
}

gboolean
pantheon_shell_wallpaper_container_get_checked (PantheonShellWallpaperContainer* self)
{
	gboolean result;
#line 41 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 42 "../src/Widgets/WallpaperContainer.vala"
	result = (gtk_widget_get_state_flags ((GtkWidget*) self) & GTK_STATE_FLAG_CHECKED) == GTK_STATE_FLAG_CHECKED;
#line 42 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 836 "WallpaperContainer.c"
}

void
pantheon_shell_wallpaper_container_set_checked (PantheonShellWallpaperContainer* self,
                                                gboolean value)
{
#line 43 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 44 "../src/Widgets/WallpaperContainer.vala"
	if (value) {
#line 847 "WallpaperContainer.c"
		GtkGrid* _tmp0_;
		GtkRevealer* _tmp1_;
#line 45 "../src/Widgets/WallpaperContainer.vala"
		_tmp0_ = self->priv->card_box;
#line 45 "../src/Widgets/WallpaperContainer.vala"
		gtk_widget_set_state_flags ((GtkWidget*) _tmp0_, GTK_STATE_FLAG_CHECKED, FALSE);
#line 46 "../src/Widgets/WallpaperContainer.vala"
		_tmp1_ = self->priv->check_revealer;
#line 46 "../src/Widgets/WallpaperContainer.vala"
		gtk_revealer_set_reveal_child (_tmp1_, TRUE);
#line 858 "WallpaperContainer.c"
	} else {
		GtkGrid* _tmp2_;
		GtkRevealer* _tmp3_;
#line 48 "../src/Widgets/WallpaperContainer.vala"
		_tmp2_ = self->priv->card_box;
#line 48 "../src/Widgets/WallpaperContainer.vala"
		gtk_widget_unset_state_flags ((GtkWidget*) _tmp2_, GTK_STATE_FLAG_CHECKED);
#line 49 "../src/Widgets/WallpaperContainer.vala"
		_tmp3_ = self->priv->check_revealer;
#line 49 "../src/Widgets/WallpaperContainer.vala"
		gtk_revealer_set_reveal_child (_tmp3_, FALSE);
#line 870 "WallpaperContainer.c"
	}
#line 52 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_queue_draw ((GtkWidget*) self);
#line 43 "../src/Widgets/WallpaperContainer.vala"
	g_object_notify_by_pspec ((GObject *) self, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_CHECKED_PROPERTY]);
#line 876 "WallpaperContainer.c"
}

gboolean
pantheon_shell_wallpaper_container_get_selected (PantheonShellWallpaperContainer* self)
{
	gboolean result;
#line 57 "../src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 58 "../src/Widgets/WallpaperContainer.vala"
	result = (gtk_widget_get_state_flags ((GtkWidget*) self) & GTK_STATE_FLAG_SELECTED) == GTK_STATE_FLAG_SELECTED;
#line 58 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 889 "WallpaperContainer.c"
}

void
pantheon_shell_wallpaper_container_set_selected (PantheonShellWallpaperContainer* self,
                                                 gboolean value)
{
#line 59 "../src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 60 "../src/Widgets/WallpaperContainer.vala"
	if (value) {
#line 61 "../src/Widgets/WallpaperContainer.vala"
		gtk_widget_set_state_flags ((GtkWidget*) self, GTK_STATE_FLAG_SELECTED, FALSE);
#line 902 "WallpaperContainer.c"
	} else {
#line 63 "../src/Widgets/WallpaperContainer.vala"
		gtk_widget_unset_state_flags ((GtkWidget*) self, GTK_STATE_FLAG_SELECTED);
#line 906 "WallpaperContainer.c"
	}
#line 66 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_queue_draw ((GtkWidget*) self);
#line 59 "../src/Widgets/WallpaperContainer.vala"
	g_object_notify_by_pspec ((GObject *) self, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_SELECTED_PROPERTY]);
#line 912 "WallpaperContainer.c"
}

static void
_pantheon_shell_wallpaper_container____lambda7_ (PantheonShellWallpaperContainer* self)
{
#line 122 "../src/Widgets/WallpaperContainer.vala"
	g_signal_emit (self, pantheon_shell_wallpaper_container_signals[PANTHEON_SHELL_WALLPAPER_CONTAINER_TRASH_SIGNAL], 0);
#line 920 "WallpaperContainer.c"
}

static void
__pantheon_shell_wallpaper_container____lambda7__gtk_menu_item_activate (GtkMenuItem* _sender,
                                                                         gpointer self)
{
#line 122 "../src/Widgets/WallpaperContainer.vala"
	_pantheon_shell_wallpaper_container____lambda7_ ((PantheonShellWallpaperContainer*) self);
#line 929 "WallpaperContainer.c"
}

static void
_pantheon_shell_wallpaper_container___lambda8_ (PantheonShellWallpaperContainer* self)
{
#line 139 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_wallpaper_container_set_checked (self, TRUE);
#line 937 "WallpaperContainer.c"
}

static void
__pantheon_shell_wallpaper_container___lambda8__gtk_flow_box_child_activate (GtkFlowBoxChild* _sender,
                                                                             gpointer self)
{
#line 138 "../src/Widgets/WallpaperContainer.vala"
	_pantheon_shell_wallpaper_container___lambda8_ ((PantheonShellWallpaperContainer*) self);
#line 946 "WallpaperContainer.c"
}

static gboolean
_pantheon_shell_wallpaper_container_show_context_menu_gtk_widget_button_press_event (GtkWidget* _sender,
                                                                                     GdkEventButton* event,
                                                                                     gpointer self)
{
	gboolean result;
	result = pantheon_shell_wallpaper_container_show_context_menu ((PantheonShellWallpaperContainer*) self, _sender, event);
#line 142 "../src/Widgets/WallpaperContainer.vala"
	return result;
#line 958 "WallpaperContainer.c"
}

static GObject *
pantheon_shell_wallpaper_container_constructor (GType type,
                                                guint n_construct_properties,
                                                GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	PantheonShellWallpaperContainer * self;
	GtkStyleContext* style_context = NULL;
	GtkStyleContext* _tmp0_;
	GtkStyleContext* _tmp1_;
	GtkStyleContext* _tmp2_;
	GtkStyleContext* _tmp3_;
	GraniteAsyncImage* _tmp4_;
	GraniteAsyncImage* _tmp5_;
	GraniteAsyncImage* _tmp6_;
	GraniteAsyncImage* _tmp7_;
	GtkStyleContext* _tmp8_;
	GtkGrid* _tmp9_;
	GtkGrid* _tmp10_;
	GtkStyleContext* _tmp11_;
	GtkGrid* _tmp12_;
	GraniteAsyncImage* _tmp13_;
	GtkGrid* _tmp14_;
	GtkCssProvider* check_provider = NULL;
	GtkCssProvider* _tmp15_;
	GtkCssProvider* _tmp16_;
	GtkRadioButton* check = NULL;
	GtkRadioButton* _tmp17_ = NULL;
	GtkRadioButton* _tmp18_;
	GtkStyleContext* _tmp19_;
	GtkCssProvider* _tmp20_;
	GtkRevealer* _tmp21_;
	GtkRevealer* _tmp22_;
	GtkRevealer* _tmp23_;
	GtkRadioButton* _tmp24_;
	GtkOverlay* overlay = NULL;
	GtkOverlay* _tmp25_;
	GtkOverlay* _tmp26_;
	GtkGrid* _tmp27_;
	GtkOverlay* _tmp28_;
	GtkRevealer* _tmp29_;
	GtkEventBox* event_box = NULL;
	GtkEventBox* _tmp30_;
	GtkEventBox* _tmp31_;
	GtkOverlay* _tmp32_;
	GtkEventBox* _tmp33_;
	const gchar* _tmp34_;
	GtkEventBox* _tmp50_;
	GError* _inner_error0_ = NULL;
#line 74 "../src/Widgets/WallpaperContainer.vala"
	parent_class = G_OBJECT_CLASS (pantheon_shell_wallpaper_container_parent_class);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PANTHEON_SHELL_TYPE_WALLPAPER_CONTAINER, PantheonShellWallpaperContainer);
#line 75 "../src/Widgets/WallpaperContainer.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 75 "../src/Widgets/WallpaperContainer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 75 "../src/Widgets/WallpaperContainer.vala"
	style_context = _tmp1_;
#line 76 "../src/Widgets/WallpaperContainer.vala"
	_tmp2_ = style_context;
#line 76 "../src/Widgets/WallpaperContainer.vala"
	gtk_style_context_add_class (_tmp2_, "wallpaper-container");
#line 78 "../src/Widgets/WallpaperContainer.vala"
	_tmp3_ = style_context;
#line 78 "../src/Widgets/WallpaperContainer.vala"
	self->priv->scale = gtk_style_context_get_scale (_tmp3_);
#line 80 "../src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "height-request", PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_HEIGHT + 18, NULL);
#line 81 "../src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "width-request", PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_WIDTH + 18, NULL);
#line 83 "../src/Widgets/WallpaperContainer.vala"
	_tmp4_ = granite_async_image_new (TRUE, TRUE);
#line 83 "../src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp4_);
#line 83 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->image);
#line 83 "../src/Widgets/WallpaperContainer.vala"
	self->priv->image = _tmp4_;
#line 84 "../src/Widgets/WallpaperContainer.vala"
	_tmp5_ = self->priv->image;
#line 84 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp5_, GTK_ALIGN_CENTER);
#line 85 "../src/Widgets/WallpaperContainer.vala"
	_tmp6_ = self->priv->image;
#line 85 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp6_, GTK_ALIGN_CENTER);
#line 86 "../src/Widgets/WallpaperContainer.vala"
	_tmp7_ = self->priv->image;
#line 86 "../src/Widgets/WallpaperContainer.vala"
	_tmp8_ = gtk_widget_get_style_context ((GtkWidget*) _tmp7_);
#line 86 "../src/Widgets/WallpaperContainer.vala"
	gtk_style_context_set_scale (_tmp8_, 1);
#line 89 "../src/Widgets/WallpaperContainer.vala"
	_tmp9_ = (GtkGrid*) gtk_grid_new ();
#line 89 "../src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp9_);
#line 89 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->card_box);
#line 89 "../src/Widgets/WallpaperContainer.vala"
	self->priv->card_box = _tmp9_;
#line 90 "../src/Widgets/WallpaperContainer.vala"
	_tmp10_ = self->priv->card_box;
#line 90 "../src/Widgets/WallpaperContainer.vala"
	_tmp11_ = gtk_widget_get_style_context ((GtkWidget*) _tmp10_);
#line 90 "../src/Widgets/WallpaperContainer.vala"
	gtk_style_context_add_class (_tmp11_, "card");
#line 91 "../src/Widgets/WallpaperContainer.vala"
	_tmp12_ = self->priv->card_box;
#line 91 "../src/Widgets/WallpaperContainer.vala"
	_tmp13_ = self->priv->image;
#line 91 "../src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 92 "../src/Widgets/WallpaperContainer.vala"
	_tmp14_ = self->priv->card_box;
#line 92 "../src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) _tmp14_, "margin", 9, NULL);
#line 94 "../src/Widgets/WallpaperContainer.vala"
	_tmp15_ = gtk_css_provider_new ();
#line 94 "../src/Widgets/WallpaperContainer.vala"
	check_provider = _tmp15_;
#line 95 "../src/Widgets/WallpaperContainer.vala"
	_tmp16_ = check_provider;
#line 95 "../src/Widgets/WallpaperContainer.vala"
	gtk_css_provider_load_from_resource (_tmp16_, "/io/elementary/switchboard/plug/pantheon-shell/Check.css");
#line 97 "../src/Widgets/WallpaperContainer.vala"
	_tmp17_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 97 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp17_, GTK_ALIGN_START);
#line 97 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp17_, GTK_ALIGN_START);
#line 97 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_can_focus ((GtkWidget*) _tmp17_, FALSE);
#line 97 "../src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp17_);
#line 97 "../src/Widgets/WallpaperContainer.vala"
	check = _tmp17_;
#line 102 "../src/Widgets/WallpaperContainer.vala"
	_tmp18_ = check;
#line 102 "../src/Widgets/WallpaperContainer.vala"
	_tmp19_ = gtk_widget_get_style_context ((GtkWidget*) _tmp18_);
#line 102 "../src/Widgets/WallpaperContainer.vala"
	_tmp20_ = check_provider;
#line 102 "../src/Widgets/WallpaperContainer.vala"
	gtk_style_context_add_provider (_tmp19_, (GtkStyleProvider*) _tmp20_, (guint) GTK_STYLE_PROVIDER_PRIORITY_USER);
#line 104 "../src/Widgets/WallpaperContainer.vala"
	_tmp21_ = (GtkRevealer*) gtk_revealer_new ();
#line 104 "../src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp21_);
#line 104 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->check_revealer);
#line 104 "../src/Widgets/WallpaperContainer.vala"
	self->priv->check_revealer = _tmp21_;
#line 105 "../src/Widgets/WallpaperContainer.vala"
	_tmp22_ = self->priv->check_revealer;
#line 105 "../src/Widgets/WallpaperContainer.vala"
	gtk_revealer_set_transition_type (_tmp22_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 106 "../src/Widgets/WallpaperContainer.vala"
	_tmp23_ = self->priv->check_revealer;
#line 106 "../src/Widgets/WallpaperContainer.vala"
	_tmp24_ = check;
#line 106 "../src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp23_, (GtkWidget*) _tmp24_);
#line 108 "../src/Widgets/WallpaperContainer.vala"
	_tmp25_ = (GtkOverlay*) gtk_overlay_new ();
#line 108 "../src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp25_);
#line 108 "../src/Widgets/WallpaperContainer.vala"
	overlay = _tmp25_;
#line 109 "../src/Widgets/WallpaperContainer.vala"
	_tmp26_ = overlay;
#line 109 "../src/Widgets/WallpaperContainer.vala"
	_tmp27_ = self->priv->card_box;
#line 109 "../src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp26_, (GtkWidget*) _tmp27_);
#line 110 "../src/Widgets/WallpaperContainer.vala"
	_tmp28_ = overlay;
#line 110 "../src/Widgets/WallpaperContainer.vala"
	_tmp29_ = self->priv->check_revealer;
#line 110 "../src/Widgets/WallpaperContainer.vala"
	gtk_overlay_add_overlay (_tmp28_, (GtkWidget*) _tmp29_);
#line 112 "../src/Widgets/WallpaperContainer.vala"
	_tmp30_ = (GtkEventBox*) gtk_event_box_new ();
#line 112 "../src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp30_);
#line 112 "../src/Widgets/WallpaperContainer.vala"
	event_box = _tmp30_;
#line 113 "../src/Widgets/WallpaperContainer.vala"
	_tmp31_ = event_box;
#line 113 "../src/Widgets/WallpaperContainer.vala"
	_tmp32_ = overlay;
#line 113 "../src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp31_, (GtkWidget*) _tmp32_);
#line 115 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 116 "../src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 117 "../src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "margin", 6, NULL);
#line 118 "../src/Widgets/WallpaperContainer.vala"
	_tmp33_ = event_box;
#line 118 "../src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp33_);
#line 120 "../src/Widgets/WallpaperContainer.vala"
	_tmp34_ = self->priv->_uri;
#line 120 "../src/Widgets/WallpaperContainer.vala"
	if (_tmp34_ != NULL) {
#line 1171 "WallpaperContainer.c"
		GtkMenuItem* move_to_trash = NULL;
		GtkMenuItem* _tmp35_;
		GtkMenuItem* _tmp36_;
		GFile* file = NULL;
		const gchar* _tmp37_;
		GFile* _tmp38_;
		GtkMenu* _tmp46_;
		GtkMenu* _tmp47_;
		GtkMenuItem* _tmp48_;
		GtkMenu* _tmp49_;
#line 121 "../src/Widgets/WallpaperContainer.vala"
		_tmp35_ = (GtkMenuItem*) gtk_menu_item_new_with_label (_ ("Remove"));
#line 121 "../src/Widgets/WallpaperContainer.vala"
		g_object_ref_sink (_tmp35_);
#line 121 "../src/Widgets/WallpaperContainer.vala"
		move_to_trash = _tmp35_;
#line 122 "../src/Widgets/WallpaperContainer.vala"
		_tmp36_ = move_to_trash;
#line 122 "../src/Widgets/WallpaperContainer.vala"
		g_signal_connect_object (_tmp36_, "activate", (GCallback) __pantheon_shell_wallpaper_container____lambda7__gtk_menu_item_activate, self, 0);
#line 124 "../src/Widgets/WallpaperContainer.vala"
		_tmp37_ = self->priv->_uri;
#line 124 "../src/Widgets/WallpaperContainer.vala"
		_tmp38_ = g_file_new_for_uri (_tmp37_);
#line 124 "../src/Widgets/WallpaperContainer.vala"
		file = _tmp38_;
#line 1198 "WallpaperContainer.c"
		{
			GFileInfo* info = NULL;
			GFile* _tmp39_;
			GFileInfo* _tmp40_;
			GFileInfo* _tmp41_;
			GtkMenuItem* _tmp42_;
			GFileInfo* _tmp43_;
#line 126 "../src/Widgets/WallpaperContainer.vala"
			_tmp39_ = file;
#line 126 "../src/Widgets/WallpaperContainer.vala"
			_tmp40_ = g_file_query_info (_tmp39_, "*", G_FILE_QUERY_INFO_NONE, NULL, &_inner_error0_);
#line 126 "../src/Widgets/WallpaperContainer.vala"
			info = _tmp40_;
#line 126 "../src/Widgets/WallpaperContainer.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1214 "WallpaperContainer.c"
				goto __catch0_g_error;
			}
#line 127 "../src/Widgets/WallpaperContainer.vala"
			_tmp41_ = info;
#line 127 "../src/Widgets/WallpaperContainer.vala"
			self->creation_date = g_file_info_get_attribute_uint64 (_tmp41_, G_FILE_ATTRIBUTE_TIME_CREATED);
#line 128 "../src/Widgets/WallpaperContainer.vala"
			_tmp42_ = move_to_trash;
#line 128 "../src/Widgets/WallpaperContainer.vala"
			_tmp43_ = info;
#line 128 "../src/Widgets/WallpaperContainer.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp42_, g_file_info_get_attribute_boolean (_tmp43_, G_FILE_ATTRIBUTE_ACCESS_CAN_DELETE));
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (info);
#line 1229 "WallpaperContainer.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp44_;
			const gchar* _tmp45_;
#line 125 "../src/Widgets/WallpaperContainer.vala"
			e = _inner_error0_;
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_inner_error0_ = NULL;
#line 130 "../src/Widgets/WallpaperContainer.vala"
			_tmp44_ = e;
#line 130 "../src/Widgets/WallpaperContainer.vala"
			_tmp45_ = _tmp44_->message;
#line 130 "../src/Widgets/WallpaperContainer.vala"
			g_critical ("WallpaperContainer.vala:130: %s", _tmp45_);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_error_free0 (e);
#line 1249 "WallpaperContainer.c"
		}
		__finally0:
#line 125 "../src/Widgets/WallpaperContainer.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (file);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (move_to_trash);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (event_box);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (overlay);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (check);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (check_provider);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (style_context);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 125 "../src/Widgets/WallpaperContainer.vala"
			g_clear_error (&_inner_error0_);
#line 1272 "WallpaperContainer.c"
		}
#line 133 "../src/Widgets/WallpaperContainer.vala"
		_tmp46_ = (GtkMenu*) gtk_menu_new ();
#line 133 "../src/Widgets/WallpaperContainer.vala"
		g_object_ref_sink (_tmp46_);
#line 133 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (self->priv->context_menu);
#line 133 "../src/Widgets/WallpaperContainer.vala"
		self->priv->context_menu = _tmp46_;
#line 134 "../src/Widgets/WallpaperContainer.vala"
		_tmp47_ = self->priv->context_menu;
#line 134 "../src/Widgets/WallpaperContainer.vala"
		_tmp48_ = move_to_trash;
#line 134 "../src/Widgets/WallpaperContainer.vala"
		gtk_menu_shell_append ((GtkMenuShell*) _tmp47_, _tmp48_);
#line 135 "../src/Widgets/WallpaperContainer.vala"
		_tmp49_ = self->priv->context_menu;
#line 135 "../src/Widgets/WallpaperContainer.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp49_);
#line 120 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (file);
#line 120 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (move_to_trash);
#line 1296 "WallpaperContainer.c"
	}
#line 138 "../src/Widgets/WallpaperContainer.vala"
	g_signal_connect_object ((GtkFlowBoxChild*) self, "activate", (GCallback) __pantheon_shell_wallpaper_container___lambda8__gtk_flow_box_child_activate, self, 0);
#line 142 "../src/Widgets/WallpaperContainer.vala"
	_tmp50_ = event_box;
#line 142 "../src/Widgets/WallpaperContainer.vala"
	g_signal_connect_object ((GtkWidget*) _tmp50_, "button-press-event", (GCallback) _pantheon_shell_wallpaper_container_show_context_menu_gtk_widget_button_press_event, self, 0);
#line 1304 "WallpaperContainer.c"
	{
		const gchar* _tmp51_;
#line 145 "../src/Widgets/WallpaperContainer.vala"
		_tmp51_ = self->priv->_uri;
#line 145 "../src/Widgets/WallpaperContainer.vala"
		if (_tmp51_ != NULL) {
#line 1311 "WallpaperContainer.c"
			gboolean _tmp52_ = FALSE;
			const gchar* _tmp53_;
#line 146 "../src/Widgets/WallpaperContainer.vala"
			_tmp53_ = self->priv->_thumb_path;
#line 146 "../src/Widgets/WallpaperContainer.vala"
			if (_tmp53_ != NULL) {
#line 1318 "WallpaperContainer.c"
				gboolean _tmp54_;
#line 146 "../src/Widgets/WallpaperContainer.vala"
				_tmp54_ = self->priv->_thumb_valid;
#line 146 "../src/Widgets/WallpaperContainer.vala"
				_tmp52_ = _tmp54_;
#line 1324 "WallpaperContainer.c"
			} else {
#line 146 "../src/Widgets/WallpaperContainer.vala"
				_tmp52_ = FALSE;
#line 1328 "WallpaperContainer.c"
			}
#line 146 "../src/Widgets/WallpaperContainer.vala"
			if (_tmp52_) {
#line 147 "../src/Widgets/WallpaperContainer.vala"
				pantheon_shell_wallpaper_container_update_thumb (self, NULL, NULL);
#line 1334 "WallpaperContainer.c"
			} else {
#line 149 "../src/Widgets/WallpaperContainer.vala"
				pantheon_shell_wallpaper_container_generate_and_load_thumb (self);
#line 1338 "WallpaperContainer.c"
			}
		} else {
			GdkPixbuf* _tmp55_;
			GdkPixbuf* _tmp56_;
			GraniteAsyncImage* _tmp57_;
			GdkPixbuf* _tmp58_;
#line 152 "../src/Widgets/WallpaperContainer.vala"
			_tmp55_ = gdk_pixbuf_new (GDK_COLORSPACE_RGB, FALSE, 8, PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_WIDTH * self->priv->scale, PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_HEIGHT * self->priv->scale);
#line 152 "../src/Widgets/WallpaperContainer.vala"
			_tmp56_ = _tmp55_;
#line 152 "../src/Widgets/WallpaperContainer.vala"
			pantheon_shell_wallpaper_container_set_thumb (self, _tmp56_);
#line 152 "../src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (_tmp56_);
#line 153 "../src/Widgets/WallpaperContainer.vala"
			_tmp57_ = self->priv->image;
#line 153 "../src/Widgets/WallpaperContainer.vala"
			_tmp58_ = self->priv->_thumb;
#line 153 "../src/Widgets/WallpaperContainer.vala"
			g_object_set ((GtkImage*) _tmp57_, "gicon", (GIcon*) _tmp58_, NULL);
#line 1359 "WallpaperContainer.c"
		}
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp59_;
		const gchar* _tmp60_;
#line 144 "../src/Widgets/WallpaperContainer.vala"
		e = _inner_error0_;
#line 144 "../src/Widgets/WallpaperContainer.vala"
		_inner_error0_ = NULL;
#line 156 "../src/Widgets/WallpaperContainer.vala"
		_tmp59_ = e;
#line 156 "../src/Widgets/WallpaperContainer.vala"
		_tmp60_ = _tmp59_->message;
#line 156 "../src/Widgets/WallpaperContainer.vala"
		g_critical ("WallpaperContainer.vala:156: Failed to load wallpaper thumbnail: %s", _tmp60_);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (e);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (event_box);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (overlay);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (check);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (check_provider);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (style_context);
#line 157 "../src/Widgets/WallpaperContainer.vala"
		return obj;
#line 1392 "WallpaperContainer.c"
	}
	__finally1:
#line 144 "../src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 144 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (event_box);
#line 144 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (overlay);
#line 144 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (check);
#line 144 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (check_provider);
#line 144 "../src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (style_context);
#line 144 "../src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 144 "../src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_inner_error0_);
#line 1411 "WallpaperContainer.c"
	}
#line 74 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (event_box);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (overlay);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (check);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (check_provider);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (style_context);
#line 74 "../src/Widgets/WallpaperContainer.vala"
	return obj;
#line 1425 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_class_init (PantheonShellWallpaperContainerClass * klass,
                                               gpointer klass_data)
{
#line 21 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_wallpaper_container_parent_class = g_type_class_peek_parent (klass);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_type_class_adjust_private_offset (klass, &PantheonShellWallpaperContainer_private_offset);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_pantheon_shell_wallpaper_container_get_property;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_pantheon_shell_wallpaper_container_set_property;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->constructor = pantheon_shell_wallpaper_container_constructor;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->finalize = pantheon_shell_wallpaper_container_finalize;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PATH_PROPERTY, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PATH_PROPERTY] = g_param_spec_string ("thumb-path", "thumb-path", "thumb-path", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_VALID_PROPERTY, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_VALID_PROPERTY] = g_param_spec_boolean ("thumb-valid", "thumb-valid", "thumb-valid", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PANTHEON_SHELL_WALLPAPER_CONTAINER_URI_PROPERTY, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_URI_PROPERTY] = g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PROPERTY, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PROPERTY] = g_param_spec_object ("thumb", "thumb", "thumb", gdk_pixbuf_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PANTHEON_SHELL_WALLPAPER_CONTAINER_CHECKED_PROPERTY, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_CHECKED_PROPERTY] = g_param_spec_boolean ("checked", "checked", "checked", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "../src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PANTHEON_SHELL_WALLPAPER_CONTAINER_SELECTED_PROPERTY, pantheon_shell_wallpaper_container_properties[PANTHEON_SHELL_WALLPAPER_CONTAINER_SELECTED_PROPERTY] = g_param_spec_boolean ("selected", "selected", "selected", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "../src/Widgets/WallpaperContainer.vala"
	pantheon_shell_wallpaper_container_signals[PANTHEON_SHELL_WALLPAPER_CONTAINER_TRASH_SIGNAL] = g_signal_new ("trash", PANTHEON_SHELL_TYPE_WALLPAPER_CONTAINER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1458 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_instance_init (PantheonShellWallpaperContainer * self,
                                                  gpointer klass)
{
#line 21 "../src/Widgets/WallpaperContainer.vala"
	self->priv = pantheon_shell_wallpaper_container_get_instance_private (self);
#line 36 "../src/Widgets/WallpaperContainer.vala"
	self->creation_date = (guint64) 0;
#line 1469 "WallpaperContainer.c"
}

static void
pantheon_shell_wallpaper_container_finalize (GObject * obj)
{
	PantheonShellWallpaperContainer * self;
#line 21 "../src/Widgets/WallpaperContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PANTHEON_SHELL_TYPE_WALLPAPER_CONTAINER, PantheonShellWallpaperContainer);
#line 27 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->card_box);
#line 28 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->context_menu);
#line 29 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->check_revealer);
#line 30 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->image);
#line 32 "../src/Widgets/WallpaperContainer.vala"
	_g_free0 (self->priv->_thumb_path);
#line 34 "../src/Widgets/WallpaperContainer.vala"
	_g_free0 (self->priv->_uri);
#line 35 "../src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->_thumb);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (pantheon_shell_wallpaper_container_parent_class)->finalize (obj);
#line 1494 "WallpaperContainer.c"
}

static GType
pantheon_shell_wallpaper_container_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (PantheonShellWallpaperContainerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) pantheon_shell_wallpaper_container_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PantheonShellWallpaperContainer), 0, (GInstanceInitFunc) pantheon_shell_wallpaper_container_instance_init, NULL };
	GType pantheon_shell_wallpaper_container_type_id;
	pantheon_shell_wallpaper_container_type_id = g_type_register_static (gtk_flow_box_child_get_type (), "PantheonShellWallpaperContainer", &g_define_type_info, 0);
	PantheonShellWallpaperContainer_private_offset = g_type_add_instance_private (pantheon_shell_wallpaper_container_type_id, sizeof (PantheonShellWallpaperContainerPrivate));
	return pantheon_shell_wallpaper_container_type_id;
}

GType
pantheon_shell_wallpaper_container_get_type (void)
{
	static volatile gsize pantheon_shell_wallpaper_container_type_id__once = 0;
	if (g_once_init_enter (&pantheon_shell_wallpaper_container_type_id__once)) {
		GType pantheon_shell_wallpaper_container_type_id;
		pantheon_shell_wallpaper_container_type_id = pantheon_shell_wallpaper_container_get_type_once ();
		g_once_init_leave (&pantheon_shell_wallpaper_container_type_id__once, pantheon_shell_wallpaper_container_type_id);
	}
	return pantheon_shell_wallpaper_container_type_id__once;
}

static void
_vala_pantheon_shell_wallpaper_container_get_property (GObject * object,
                                                       guint property_id,
                                                       GValue * value,
                                                       GParamSpec * pspec)
{
	PantheonShellWallpaperContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PANTHEON_SHELL_TYPE_WALLPAPER_CONTAINER, PantheonShellWallpaperContainer);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	switch (property_id) {
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PATH_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		g_value_set_string (value, pantheon_shell_wallpaper_container_get_thumb_path (self));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_VALID_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, pantheon_shell_wallpaper_container_get_thumb_valid (self));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_URI_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		g_value_set_string (value, pantheon_shell_wallpaper_container_get_uri (self));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		g_value_set_object (value, pantheon_shell_wallpaper_container_get_thumb (self));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_CHECKED_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, pantheon_shell_wallpaper_container_get_checked (self));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_SELECTED_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, pantheon_shell_wallpaper_container_get_selected (self));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 1565 "WallpaperContainer.c"
		default:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 1571 "WallpaperContainer.c"
	}
}

static void
_vala_pantheon_shell_wallpaper_container_set_property (GObject * object,
                                                       guint property_id,
                                                       const GValue * value,
                                                       GParamSpec * pspec)
{
	PantheonShellWallpaperContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PANTHEON_SHELL_TYPE_WALLPAPER_CONTAINER, PantheonShellWallpaperContainer);
#line 21 "../src/Widgets/WallpaperContainer.vala"
	switch (property_id) {
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PATH_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_thumb_path (self, g_value_get_string (value));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_VALID_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_thumb_valid (self, g_value_get_boolean (value));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_URI_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_uri (self, g_value_get_string (value));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_THUMB_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_thumb (self, g_value_get_object (value));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_CHECKED_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_checked (self, g_value_get_boolean (value));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "../src/Widgets/WallpaperContainer.vala"
		case PANTHEON_SHELL_WALLPAPER_CONTAINER_SELECTED_PROPERTY:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		pantheon_shell_wallpaper_container_set_selected (self, g_value_get_boolean (value));
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 1621 "WallpaperContainer.c"
		default:
#line 21 "../src/Widgets/WallpaperContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "../src/Widgets/WallpaperContainer.vala"
		break;
#line 1627 "WallpaperContainer.c"
	}
}

